<?php
   header('Cache-Control: no-cache, must-revalidate');
   header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
   header('Pragma: no-cache');
    
   $qry_str = $_SERVER['QUERY_STRING'];
   parse_str($qry_str, $qry_array);
   array_pop($qry_array); //delete the last random number
   $keys = array_keys($qry_array);

include_once( 'lsdyna/lsd.php');

   $doc_root = $_SERVER["DOCUMENT_ROOT"];
   $user_dir = getVarValue("DBFrame", "Gui", "UserDir");
   $out_dir = $doc_root;
   if($user_dir != "")
       $out_dir .= "/$user_dir";

   if($user_dir != "" && $out_dir != $doc_root)
      exec("rm -f " . $out_dir . "/*.php");

   $kw_type = $qry_array["ModelKWType"];
echo "KW_TYPE=$kw_type<br>";

   if( ($kw_type == null || $kw_type == 'undefined') )
      return;

   $model_kw = "";
   if( isset($qry_array["ModelKW"]) )
      $model_kw = $qry_array["ModelKW"];
   $ent_range = "";
   if( isset($qry_array["EntityRange"]) )
      $ent_range = $qry_array["EntityRange"];
   $edit_index = "";
   if( isset($qry_array["Edit"]) )
   {
      list($edit_index, $edit_num) = sscanf($qry_array["Edit"], "%d_%d");
      setValue('ObjectFrame', "Gui", 'EditValue', $qry_array["Edit"]);
      setValue('ObjectFrame', "Gui", "CommandButton", "Edit");
   }

   setValue("HeadFrame", "Gui", "ModelKWType", $kw_type);
   $old_model_kw = getVarValue("HeadFrame", "Gui", $kw_type);
   if( $ent_range != null || $model_kw != $old_model_kw )
      setValue("ObjectFrame", "Gui", $model_kw, $ent_range);
   else if( $edit_index != null )
      $ent_range = getVarValue("ObjectFrame", "Gui", $model_kw);

   setValue("HeadFrame", "Gui", $kw_type, $model_kw);
   $kw_type = substr($kw_type, 6);

   if( $ent_range == null )
      $ent_range = 0;

echo "RANGE=$ent_range<br>";
echo "MODELKW=$model_kw<br>";
echo "kw_type=$kw_type<br>";
   //$kwtype = getVarValue("HeadFrame", "Gui", "ModelKWType");
   //echo "MODELKW=" . getVarValue("HeadFrame", "Gui", "$kwtype");

   $conn_file = $user_dir . "/connection.xml";
   $xml = simplexml_load_file($conn_file);
   //$xml->render["kwtype"] = $kw_type;
   //$xml->render["kw"] = $model_kw;
   if( $kw_type == "part" )
   {
      $xml->render["partlist"] = $edit_index;
      //$xml->render["idlist"] = "";
   }
   else
   {
      if( !isset($xml->render["partlist"]) )
         $xml->render["partlist"] = "";
      $xml->render["idlist"] = $edit_index;
      $xml->render["kwtype"] = $kw_type;
      $xml->render["kw"] = $model_kw;
   }

   if( $edit_index != null )
      $xml->render["command"] = "edit";
   else
      $xml->render["command"] = "";
   $xml->render["count"] = "1000";
   $xml->render["offset"] = ($ent_range * 1000);

   file_put_contents($conn_file, $xml->asXML());

   $db_name = getVarValue("DBFrame", "Gui", "DBName");
   $model_name = getVarValue("DBFrame", "Gui", "$db_name");

   $path_bin = $doc_root . "/cgi-bin/" . "$kw_type ";
   $final_path = $path_bin . $out_dir . " $model_name";
   if( $model_kw != null )
      $final_path .= " $model_kw 1000 " . ($ent_range * 1000) . " $edit_index";

echo "COMM=$final_path<br>";
   
   //putenv("LD_LIBRARY_PATH=/home/krishna/impexp1/lib:/home/krishna/lib");
   putenv("LD_LIBRARY_PATH=$doc_root/lib:$doc_root/mesalib");
   putenv("CONNECTION_FILE=" . "$user_dir/connection.xml");
   $ret = exec($final_path, $ret_str, $ret_val);

echo "Program status=" . $ret . "<br>";
foreach($ret_str as $str)
   echo $str . "<br>";
echo "Return value=" . $ret_val . "<br>";

   $file_name = "/$user_dir/" . $model_name . "_" . $kw_type . ".php";
   echo "<file>" . $file_name . "</file>";
?>
