<?php
   header('Cache-Control: no-cache, must-revalidate');
   header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
   header('Pragma: no-cache');
   header('Content-Type: application/json');

   if(isset($_SERVER['PHP_AUTH_USER']))
       $app_user = $_SERVER['PHP_AUTH_USER'];
   else
   {
       $app_user = "raj";
       $_SERVER['PHP_AUTH_USER'] = $app_user;
   }
   $app_user = $_SERVER['PHP_AUTH_USER'];
   $qry_str = $_SERVER['QUERY_STRING'];
   $doc_root = $_SERVER["DOCUMENT_ROOT"];

include_once( 'lsdyna/lsd.php');
include_once( 'getdbmodels.php');
include_once( 'getconn.php');

   $info_str = "";
   $res_array = Array();
   $res_array["Info"] = "";
   
   parse_str($qry_str, $qry_array);
   if($qry_array)
   {
      $model_name = $qry_array["ModelName"];
      if($model_name)
      {
         $db_name = "test";
         setValue("DBFrame", "Gui", $db_name, $model_name);
      }
   }

   $err_msg = "";
   $mysql_con = getConnection($err_msg) or die($err_msg);

   $which_db_name = "DBName";
   $db_name = getVarValue("DBFrame", "Gui", $which_db_name);
   if($db_name == null)
   {
       $db_name = "test";
       setValue("DBFrame", "Gui", $which_db_name, $db_name);
   }

   $model_array = Array();
   $model_path_array = Array();
   getModelsList($mysql_con, $db_name, $model_array, $model_path_array);
   $str = "";
   $num_models = count($model_array);

   $model_name = getVarValue("DBFrame", "Gui", "$db_name");

   if( $model_name == null && $num_models != 0 )
   {
      $model_name = $model_array[0];
      setValue("DBFrame", "Gui", $db_name, $model_name);
   }

   //$user_dir = getVarValue("DBFrame", "Gui", "UserDir");

   $user_dir = "TEMP/$app_user/$db_name/$model_name";
   $base_dir = "TEMP/$app_user/$db_name/";
   setValue('DBFrame', 'Gui', 'UserDir', $user_dir);

   $user_data_dir = $doc_root . "/" . $user_dir;

   if( !file_exists($user_data_dir) )
      mkdir($user_data_dir, 0755, true);

   $js_dir = "/TEMP/$app_user/$db_name/$model_name/jsdata";
   setValue('DBFrame', 'Gui', 'JSDataDir', $js_dir);

   $info_str .= "USER DIR=" . $user_dir . "\n";

   $js_data_dir = $doc_root . "/TEMP/$app_user/$db_name/$model_name/jsdata";

   if( !file_exists($js_data_dir) )
      mkdir($js_data_dir, 0755, true);

   writeEmptyDataFile($db_name, $model_name);
include_once( 'modelexe.php');

   $conn_file = "$user_dir/connection.xml";
   $disp = "smooth";
   $view = "isometric";
   if( file_exists($conn_file) )
   {
      $xml = simplexml_load_file($conn_file);
      $xml['model'] = $model_name;
      $disp = $xml['display'];
      $view = $xml['view'];
      file_put_contents($conn_file, $xml->asXML());
   }
   else
   {
      $info_str .= "CONNECTION FILE NOT EXISTS\n";
   }

   //$img = $user_dir . "/" . $model_name . "_" . $disp . "_" . $view . ".jpeg";
   $img = $user_dir . "/" . $model_name . ".jpeg";
   if(!file_exists($img))
   {
      $force_get_data = 0;
      executeModel($force_get_data);
   }

   //$host = $_SERVER['HTTP_HOST'];
   //$img = "http://localhost/" . $img;

   $ent_list = Array();
   getModelDetails($mysql_con, $db_name, $model_name, $ent_list);
   mysqli_close($mysql_con);

   function comp($a, $b)
   {
      if( $a == $b )
         return 0;
      return ($a < $b) ? 1 : -1;
   }     

   uasort($ent_list, "comp");
      
   $kw_detail_list = Array();
   $kw_count_list = Array();
   foreach($ent_list as $ent => $num)
   {
      array_push($kw_detail_list, $ent);
      array_push($kw_count_list, $num);
   }

   $res_array["ModelList"] = $model_array;
   $res_array["ModelPathList"] = $model_path_array;
   $res_array["kwDetailList"] = $kw_detail_list;
   $res_array["kwCountList"] = $kw_count_list;
   $res_array["ModelDetails"] = $str;
   $res_array["UserDir"] = $user_dir;
   $res_array["Info"] = $info_str;
   $res_array["SelectedModel"] = $model_name;
   $res_array["ImagePath"] = $img;
   $res_array["jsDataDir"] = $js_dir;
   $res_array["display"] = $disp;
   $res_array["view"] = $view;
   $res_array["BaseDir"] = $base_dir;

   echo json_encode($res_array);
?>

