<?php

if (session_status() === PHP_SESSION_NONE)
    session_start();

if (isset($_SESSION["user_id"])) {
    
  //echo "EXECUTING THE QUERY\n";
    $mysqli = require __DIR__ . "/database.php";
    $tab_name = "cae_users_list";
    $qry = "create table if not exists $tab_name (USER_INDEX int not null primary key auto_increment, name varchar(128), email varchar(64), password_hash varchar(256));";
    $result = $mysqli->query($qry);

    $sql = "SELECT * FROM cae_users_list
            WHERE name = \"{$_SESSION["user_id"]}\"";
    //echo $sql . "\n";
    $result = $mysqli->query($sql);
    
    $user = $result->fetch_assoc();
}

?>
<!DOCTYPE html>
<html>
<head>
    <title>Internet Aided Engineering</title>
    <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="css/bootstrap_3.4.1.min.css">
    <link href="css/Montserrat.css" rel="stylesheet">
    <script src="js/jquery_3.6.4.min.js"></script>
  <script src="js/bootstrap_3.4.1.min.js"></script>
    <style>
  body {
    font: 20px Montserrat, sans-serif;
    line-height: 1.8;
    color: #f5f6f7;
  }
  p {font-size: 16px;}
  .margin {margin-bottom: 25px;}
  .bg-1 { 
    background-color: #1abc9c; /* Green */
    color: #ffffff;
  }
  .bg-2 { 
    background-color: #999; /* Dark Blue */
    color: #ffffff;
  }
  .bg-3 { 
    background-color: #ffffff; /* White */
    color: #555555;
  }
  .bg-4 { 
    background-color: #2f2f2f; /* Black Gray */
    color: #fff;
  }
  .container-fluid {
    padding-top: 15px;
    padding-bottom: 15px;
  }
  .navbar {
    padding-top: 15px;
    padding-bottom: 15px;
    border: 0;
    border-radius: 0;
    margin-bottom: 0;
    font-size: 12px;
    letter-spacing: 5px;
  }
  .navbar-nav  li a:hover {
    color: #1abc9c !important;
  }
  </style>
</head>
<body>
    
    <!-- Navbar -->
<nav class="navbar navbar-default">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>                        
      </button>
      <a class="navbar-brand" href="#">Internet Aided Engineering</a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav navbar-right">
        <li><a href="#first_container">To Whom</a></li>
        <li><a href="#second_container">Why</a></li>
        <li><a href="#third_container">How</a></li>
        <?php if (isset($user)): ?>
        <li>Hello <?= htmlspecialchars($user["name"]) ?></li>
        <li><a href="logout.php">Log out</a></li>
        <?php else: ?>
        <li><a data-toggle="modal" data-target="#loginModal" href="#loginModal">Log in</a>
        <?php

        $is_invalid = false;

        if ($_SERVER["REQUEST_METHOD"] === "POST") {
            
            $mysqli = require __DIR__ . "/database.php";

            $tab_name = "cae_users_list";
            $qry = "create table if not exists $tab_name (USER_INDEX int not null primary key auto_increment, name varchar(128), email varchar(64), password_hash varchar(256));";
            $result = $mysqli->query($qry);
            
            $tab_name = "cae_models_list";
            $qry = "create table if not exists $tab_name (MODEL_INDEX int not null primary key auto_increment, model_path varchar(1024) not null, model_name varchar(1024) not null, email varchar(64), model_uuid bigint unsigned not null, mainfile bool);";
            $result = $mysqli->query($qry);
            

            $sql = sprintf("SELECT * FROM cae_users_list
                            WHERE email = '%s'",
                          $mysqli->real_escape_string($_POST["email"]));
            
            $result = $mysqli->query($sql);
            
            $user = $result->fetch_assoc();
            
            if ($user) {
                
                if (password_verify($_POST["password"], $user["password_hash"])) {
                    
                    if (session_status() === PHP_SESSION_NONE)
                        session_start();
                    
                    session_regenerate_id();
                    
                    $_SESSION["user_id"] = $user["name"];
                    echo "<script>console.log(\"USER=\"" . $_SESSION["user_id"] . ")</script><br>";
                    header("Location: dashboard.php");
                    exit;
                }
            }
            
            $is_invalid = true;
        }
        ?>
        
        <?php if ($is_invalid && session_status() !== PHP_SESSION_NONE): ?>
        <em style="background-color:#FF0000">Invalid login</em>
        <?php endif; ?>
    
        <div class="modal" id="loginModal">
            <div class="modal-dialog modal-sm" role="dialog">
                <div class="modal-content rounded-4 shadow" style="background-color:#1abc9c">
                    <div class="modal-header p-5 pb-4 border-bottom-0">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h1 class="fw-bold mb-0 fs-2">Login</h1>
                    </div>
                    <div class="modal-body p-5 pt-0">
                        <form  class="form-floating mb-3" method="post">
                            <label for="email">email</label>
                            <input class="form-control rounded-3" type="email" name="email" id="email"
                                value="<?= htmlspecialchars($_POST["email"] ?? "") ?>">
                            <label for="password">Password</label>
                           
                            <input class="form-control rounded-3" type="password" name="password" id="password">
                            <br>
                            <button class="w-100 mb-2 btn btn-md rounded-3 btn-primary" id="login" onclick="login.php">Log in</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        </li> 
        or 
        <li>
          <a data-toggle="modal" data-target="#myModal" href="#myModal">Sign up</a>
          <div class="modal" id="myModal">
	    <script src="js/validate.production.min.js" defer></script>
	    <script src="js/validation.js" defer></script>
            <div class="modal-dialog modal-sm" role="dialog">
                <div class="modal-content rounded-4 shadow" style="background-color:#1abc9c">
                    <div class="modal-header p-5 pb-4 border-bottom-0">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h1 class="fw-bold mb-0 fs-2">Sign up</h1>
                    </div>
                    <div class="modal-body p-5 pt-0">
                        <form class="form-floating mb-3" action="process-signup.php" method="post" id="signup" novalidate>
                            <div>
                                <label for="name">Name</label>
                                <input class="form-control rounded-3" type="text" id="name" name="name" placeholder="name">
                            </div>
                            <div>
                                <label for="email">email</label>
                                <input  class="form-control rounded-3" type="email" id="email" name="email" placeholder="name@example.com">
                            </div>
                            <div>
                                <label for="password">Password</label>
                                <input  class="form-control rounded-3" type="password" id="password" name="password" placeholder="Password">
                            </div>
                            <div>
                                <label for="password_confirmation">Repeat password</label>
                                <input class="form-control rounded-3" type="password" id="password_confirmation" name="password_confirmation" placeholder="Password">
                            </div>
                            <br>
                            <button class="w-100 mb-2 btn btn-md rounded-3 btn-primary" type="submit">Sign up</button>
                        </form>
                    </div>
                </div>
              </div>
            </div>
        </li>
        <?php if (isset($_SESSION["signupmsg"]))
            echo "<li><div class='fw-bold mb-0 fs-2'><em style='color:#0000FF'>Signup Success. Login.</em></div></li>";
            $_SESSION["signupmsg"] = null;
        ?>
        <?php endif; ?>
      </ul>
    </div>
  </div>
</nav>

<!-- First Container -->
<div class="container-fluid bg-1 text-center" id="first_container">
  <h3 class="margin">To Whom</h3>
  <img src="images/engineer.jpeg" class="img-responsive img-circle margin" style="display:inline" alt="Engineer" width="100" height="100">
  <h3>For Engineers on internet who learn and do Computer Aided Engineering for the better of Thee and the Society</h3>
</div>

<!-- Second Container -->
<div class="container-fluid bg-2 text-center" id="second_container">
  <h3 class="margin">Why?</h3>
  <p>Let's use the database for storing the models, search and reuse the entities in models. Share the knowledge of CAE to other engineers. Let's have better transportation, better health, better machines without disrupting the environment. Reach the clients at developers time and not wait for a release cycle.</p>
</div>

<!-- Third Container (Grid) -->
<div class="container-fluid bg-3 text-center" id="third_container">    
  <h3 class="margin">How?</h3>
  <div class="row">
    <div class="col-sm-6"> 
      <p>Install iAE on internal network for a company and use it any where within the company using VPN</p>
      <img src="images/cae_company.png" class="img-responsive margin" style="width:100%" alt="Image">
    </div>
    <div class="col-sm-6"> 
      <p>Install iAE on Cloud, use it based on demand and access it any where</p>
      <img src="images/cae_cloud.png" class="img-responsive margin" style="width:100%" alt="Image">
    </div>
  </div>
</div>
</body>
</html>
