<script id="shader-vs" type="x-shader/x-vertex">
    attribute vec3 aVertexPosition;
    attribute vec3 aVertexNormal;

    uniform mat4 uMVMatrix;
    uniform mat4 uPMatrix;
    uniform mat4 nMatrix;

    varying vec3 transformedNormal;
    varying vec3 vertexPos;
    const int NUM_POSITIONAL_LIGHTS = 2;
    uniform vec3 uLightPosition[NUM_POSITIONAL_LIGHTS];
    varying vec3 uLightRay[NUM_POSITIONAL_LIGHTS];

    void main(void) 
    {
        vec4 vertexPos4 = uMVMatrix * vec4(aVertexPosition,1.0);
        vertexPos = vertexPos4.xyz;

        for(int i = 0; i < NUM_POSTIONAL_LIGHTS;i++)
        {
           vec4 newLightPosition = uMVMatrix * vec4(uLightPosition[i],1.0);
           uLightRay[i] = vertexPos-newLightPosition.xyz;
        }
	transformedNormal = vec3(nMatrix * vec4(aVertexNormal,1.0));
	gl_Position = uPMatrix * vertexPos4;
    }
</script>
