var rotX = 0, rotY = 0, rotZ = 0;
var prevX = 0, prevY = 0;
var curX = 0, curY = 0;
var dragDragging = false;
var rotAbout = "X";

function onMouseDownCb(e)
{
   if( e.which == 1 )
   {
      window.onmousedown = onMouseDownCb; 
      window.onmouseup = onMouseUpCb; 
      window.onmousemove = onMouseMoveCb;
      dragDragging = true;
      curX = e.clientX;
      curY = e.clientY;
      
      return false;
   }
   else
   {
      return true;
   }
}

function onMouseUpCb(e)
{
   if( e.which == 1 )
   {
      window.onmousedown = null; 
      window.onmouseup = null; 
      window.onmousemove = null;
      dragDragging = false;
      
      return false;
   }
   else
   {
      return true;
   }
}

function onMouseMoveCb(e)
{
   if( dragDragging )
   {
      prevX = curX;
      prevY = curY;
      curX = e.clientX;
      curY = e.clientY;

      var changeX = curX - prevX;
      var changeY = curY - prevY;

      rotateX = changeX - glCanvas.viewportWidth * 0.5 - glCanvas.left ) / ( glCanvas.viewportWidth * 0.5 )
      rotateY = ( _this.screen.height + 2 * ( _this.screen.top - pageY ) ) / _this.screen.width ) 
      
      drawModel();
     
      return false;
   }
   else
   {
      return true;
   }
}

function rotateAbout(rad_button)
{
   rotAbout = rad_button.value;
}

function modifyRotation(button)
{
//alert("ROT " + rotX + " " + rotY);
   if( rotAbout == "X" && button.value =="plus" )
      rotX += 5;
   if( rotAbout == "X" && button.value == "minus" )
      rotX -= 5;
   if( rotAbout == "Y" && button.value == "plus" )
      rotY += 5;
   if( rotAbout == "Y" && button.value == "minus" )
      rotY -= 5;
   if( rotAbout == "Z" && button.value == "plus" )
      rotZ += 5;
   if( rotAbout == "Z" && button.value == "minus" )
      rotZ -= 5;

   if( rotX > 360 )
      rotX = 1;
   if( rotX < 1 )
      rotX = 360;
   if( rotY > 360 )
      rotY = 1;
   if( rotY < 1 )
      rotY = 360;
   if( rotZ > 360 )
      rotZ = 1;
   if( rotZ < 1 )
      rotZ = 360;

   drawModel();
}

function onMouseScrollCb(e)
{
console.log("SCROLL" + e.which);

}

