<!DOCTYPE HTML>
<html lang='en'>
<head><title>BOUNDARY_FLUX_SET</title>
<meta charset='UTF-8'>
<meta name='viewport' content='width=device-width,initial-scale=1.0'>
<meta http-equiv='X-UA-Compatible' content='ie=edge'>
<link href='/js/lsd.css' rel='stylesheet'/>
<script language='JavaScript' src='/js/jquery.js' type='text/javascript'>
</script>
<script language='JavaScript' src='/js/lsdxmlhttp.js' type='text/javascript'>
</script>
<script language='JavaScript' src='/js/lsd.js' type='text/javascript'>
</script>
</head>
<body>
<form action="" method="POST" name="boundary_flux_set">
<?php
include '../lsd.php';
?>
<table cellspacing='0' cellpadding='0' border='1'>
<thead align='left'>
<tr>
<th class='headingTextProp'>*BOUNDARY_FLUX_SET</th><td><a href='/lsdhelp/boundary.xml' target='_blank'>Help</a></td></tr>
</thead>
</table>
<table cellspacing='0' cellpadding='0' border='1'>
<?php
initCardsArray('BDR_50');
$edit = getVarValue('ObjectFrame','Gui','CommandButton');
if( $edit == 'Edit' )
{
$user_dir = getVarValue('DBFrame', 'Gui', 'UserDir');
include "../../$user_dir/data.php";
loadData("BDR_50", "BOUNDARY_FLUX_SET");
setValue('ObjectFrame','Gui','CommandButton', "");
}
$nhisv = (int) getVarValue('BDR_50', "LoadCurve", "NHISV");
echo "<tr class='fields'>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#SSID'>SSID</a>";
echo "</td>";
echo "</tr>";
echo "<tr class='fields'>";
initVar('BDR_50', "Set", "SSID");
echo "<td><input class='textProp' type='text' size='10' name=\"SSID\" onchange=\"return sendRequest('BDR_50', 'Set', 'SSID', this.value)\" value='" . getVarValue('BDR_50', "Set", "SSID") . "' maxlength='10' id=\"C_1_F_1\"></input></td>";
insertCard("Set");
echo "</tr>";
echo "<tr class='fields'>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#LCID'>LCID</a>";
echo "</td>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#MLC1'>MLC1</a>";
echo "</td>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#MLC2'>MLC2</a>";
echo "</td>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#MLC3'>MLC3</a>";
echo "</td>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#MLC4'>MLC4</a>";
echo "</td>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#LOC'>LOC</a>";
echo "</td>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#NHISV'>NHISV</a>";
echo "</td>";
echo "</tr>";
echo "<tr class='fields'>";
initVar('BDR_50', "LoadCurve", "LCID");
echo "<td><input class='textProp' type='text' size='10' name=\"LCID\" onchange=\"return sendRequest('BDR_50', 'LoadCurve', 'LCID', this.value)\" value='" . getVarValue('BDR_50', "LoadCurve", "LCID") . "' maxlength='10' id=\"C_2_F_1\"></input></td>";
initVar('BDR_50', "LoadCurve", "MLC1");
echo "<td><input class='textProp' type='text' size='10' name=\"MLC1\" onchange=\"return sendRequest('BDR_50', 'LoadCurve', 'MLC1', this.value)\" value='" . getVarValue('BDR_50', "LoadCurve", "MLC1") . "' maxlength='10' id=\"C_2_F_2\"></input></td>";
initVar('BDR_50', "LoadCurve", "MLC2");
echo "<td><input class='textProp' type='text' size='10' name=\"MLC2\" onchange=\"return sendRequest('BDR_50', 'LoadCurve', 'MLC2', this.value)\" value='" . getVarValue('BDR_50', "LoadCurve", "MLC2") . "' maxlength='10' id=\"C_2_F_3\"></input></td>";
initVar('BDR_50', "LoadCurve", "MLC3");
echo "<td><input class='textProp' type='text' size='10' name=\"MLC3\" onchange=\"return sendRequest('BDR_50', 'LoadCurve', 'MLC3', this.value)\" value='" . getVarValue('BDR_50', "LoadCurve", "MLC3") . "' maxlength='10' id=\"C_2_F_4\"></input></td>";
initVar('BDR_50', "LoadCurve", "MLC4");
echo "<td><input class='textProp' type='text' size='10' name=\"MLC4\" onchange=\"return sendRequest('BDR_50', 'LoadCurve', 'MLC4', this.value)\" value='" . getVarValue('BDR_50', "LoadCurve", "MLC4") . "' maxlength='10' id=\"C_2_F_5\"></input></td>";
initVar('BDR_50', "LoadCurve", "LOC");
echo "<td><input class='textProp' type='text' size='10' name=\"LOC\" onchange=\"return sendRequest('BDR_50', 'LoadCurve', 'LOC', this.value)\" value='" . getVarValue('BDR_50', "LoadCurve", "LOC") . "' maxlength='10' id=\"C_2_F_6\"></input></td>";
initVar('BDR_50', "LoadCurve", "NHISV");
echo "<td><input class='textProp' type='text' size='10' name=\"NHISV\" onchange=\"return sendRequestAndReload('BDR_50', 'LoadCurve', 'NHISV', this.value)\" value='" . getVarValue('BDR_50', "LoadCurve", "NHISV") . "' maxlength='10' id=\"C_2_F_7\"></input></td>";
insertCard("LoadCurve");
echo "</tr>";
if( $nhisv != 0 ){
for($i = 0;$i < (int) (($nhisv%8) ? ($nhisv/8)+1 : $nhisv/8);$i++)
{
echo "<tr class='fields'>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#HISV1'>HISV1</a>";
echo "</td>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#HISV2'>HISV2</a>";
echo "</td>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#HISV3'>HISV3</a>";
echo "</td>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#HISV4'>HISV4</a>";
echo "</td>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#HISV5'>HISV5</a>";
echo "</td>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#HISV6'>HISV6</a>";
echo "</td>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#HISV7'>HISV7</a>";
echo "</td>";
echo "<td>";
echo "<a target='_blank' href='/lsdhelp/boundary.xml#HISV8'>HISV8</a>";
echo "</td>";
echo "</tr>";
echo "<tr class='fields'>";
initVar('BDR_50', "History_$i", "HISV1");
echo "<td><input class='textProp' type='text' size='10' name=\"HISV1\" onchange=\"return sendRequest('BDR_50', 'History_$i', 'HISV1', this.value)\" value='" . getVarValue('BDR_50', "History_$i", "HISV1") . "' maxlength='10' id=\"C_3_F_1\"></input></td>";
initVar('BDR_50', "History_$i", "HISV2");
echo "<td><input class='textProp' type='text' size='10' name=\"HISV2\" onchange=\"return sendRequest('BDR_50', 'History_$i', 'HISV2', this.value)\" value='" . getVarValue('BDR_50', "History_$i", "HISV2") . "' maxlength='10' id=\"C_3_F_2\"></input></td>";
initVar('BDR_50', "History_$i", "HISV3");
echo "<td><input class='textProp' type='text' size='10' name=\"HISV3\" onchange=\"return sendRequest('BDR_50', 'History_$i', 'HISV3', this.value)\" value='" . getVarValue('BDR_50', "History_$i", "HISV3") . "' maxlength='10' id=\"C_3_F_3\"></input></td>";
initVar('BDR_50', "History_$i", "HISV4");
echo "<td><input class='textProp' type='text' size='10' name=\"HISV4\" onchange=\"return sendRequest('BDR_50', 'History_$i', 'HISV4', this.value)\" value='" . getVarValue('BDR_50', "History_$i", "HISV4") . "' maxlength='10' id=\"C_3_F_4\"></input></td>";
initVar('BDR_50', "History_$i", "HISV5");
echo "<td><input class='textProp' type='text' size='10' name=\"HISV5\" onchange=\"return sendRequest('BDR_50', 'History_$i', 'HISV5', this.value)\" value='" . getVarValue('BDR_50', "History_$i", "HISV5") . "' maxlength='10' id=\"C_3_F_5\"></input></td>";
initVar('BDR_50', "History_$i", "HISV6");
echo "<td><input class='textProp' type='text' size='10' name=\"HISV6\" onchange=\"return sendRequest('BDR_50', 'History_$i', 'HISV6', this.value)\" value='" . getVarValue('BDR_50', "History_$i", "HISV6") . "' maxlength='10' id=\"C_3_F_6\"></input></td>";
initVar('BDR_50', "History_$i", "HISV7");
echo "<td><input class='textProp' type='text' size='10' name=\"HISV7\" onchange=\"return sendRequest('BDR_50', 'History_$i', 'HISV7', this.value)\" value='" . getVarValue('BDR_50', "History_$i", "HISV7") . "' maxlength='10' id=\"C_3_F_7\"></input></td>";
initVar('BDR_50', "History_$i", "HISV8");
echo "<td><input class='textProp' type='text' size='10' name=\"HISV8\" onchange=\"return sendRequest('BDR_50', 'History_$i', 'HISV8', this.value)\" value='" . getVarValue('BDR_50', "History_$i", "HISV8") . "' maxlength='10' id=\"C_3_F_8\"></input></td>";
insertCard("History_$i");
echo "</tr>";
}
}
?>
</table>
<table cellspacing='1' cellpadding='0' border='0'>
<tr><td align='center'><input disabled='true' class='okProp' type='button' name='New' value='New' onclick="return saveRequest('BOUNDARY_FLUX_SET', 'BDR_50', 'New')"></input></td>
<td align='center'><input disabled='true' class='okProp' type='button' name='Save' value='Save' onclick="return saveRequest('BOUNDARY_FLUX_SET', 'BDR_50', 'Save')"></input></td>
<td align='center'><input class='resetProp' type='button' name='Reset' value='Reset' onclick="return resetRequest('BOUNDARY_FLUX_SET', 'BDR_50')"></input></td></tr>
</table>
<div id='testElm'></div>
<input type='hidden' name='BDR_50' value='BOUNDARY_FLUX_SET'></input>
</form>
</body>
</html>
