<?php
    header('Cache-Control: no-cache, must-revalidate');
    header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
    header('Pragma: no-cache');
    header('Content-Type: application/json');

    $qry_str = $_SERVER['QUERY_STRING'];
    parse_str($qry_str, $qry_array);
include_once( 'lsdyna/lsd.php');

    $db_name = "caedb";
    $model_name = "";
    if($qry_array)
    {
        $model_name = $qry_array["ModelName"];
        if($model_name)
        {
            setValue("DBFrame", "Gui", $db_name, $model_name);
        }
    }

    if(isset($_SERVER['PHP_AUTH_USER']))
       $app_user = $_SERVER['PHP_AUTH_USER'];
    else
    {
       $app_user = "raj";
       $_SERVER['PHP_AUTH_USER'] = $app_user;
    }

    $app_user = $_SERVER['PHP_AUTH_USER'];

    /*
    $manager = new \MongoDB\Driver\Manager();
    $js_dir = "/TEMP/$app_user/$db_name/$model_name/";
    $user_dir = "TEMP/$app_user/$db_name";
    $res_array["UserDir"] = $user_dir;
    $res_array["SelectedResultModel"] = $model_name;
    $res_array["jsDataDir"] = $js_dir;

    $coll = "caedb.models";
    $filter = ['model'=>$model_name];
    $options = [];
    $query = new \MongoDB\Driver\Query($filter, $options);
    $cursor = $manager->executeQuery($coll, $query);
    $cursor->setTypeMap(['root' => 'array']);
    $model_id = "";
    foreach($cursor as $document)
    {
        $model_id = $document["_id"];
        //echo $model_id . "\n";
    }

    $coll = "caedb.users";
    $filter = ['user'=>"kmarichetty@gmail.com"];
    $options = [];
    $query = new \MongoDB\Driver\Query($filter, $options);
    $cursor = $manager->executeQuery($coll, $query);
    $cursor->setTypeMap(['root' => 'array']);
    $user_id = "";
    foreach($cursor as $document)
    {
        $user_id = $document["_id"];
        //echo $user_id . "\n";
    }

    $cmd = new \MongoDB\Driver\Command(["listCollections"=>"1","query"=>["modelid"=>"$model_id", "userid"=>"$user_id"]]);
    $cursor = $manager->executeCommand($db_name, $cmd);
    $cursor->setTypeMap(['root' => 'array']);

    print_r($cursor);
    $collection_array = Array();
    foreach($cursor as $item)
    {
        foreach($item as $step)
        {
            if(is_array($step) === FALSE)
                continue;
            foreach($step as $time)
            {
                array_push($collection_array, $time);
            }
        }
    }*/

    $app_user = "raj";
    if(isset($_SERVER['PHP_AUTH_USER']))
       $app_user = $_SERVER['PHP_AUTH_USER'];
    else
    {
       $app_user = "raj";
       $_SERVER['PHP_AUTH_USER'] = $app_user;
    }

   $db_name = "caedb";
   $model_name = getVarValue('DBFrame', 'Gui', $db_name);
   $doc_root = $_SERVER["DOCUMENT_ROOT"];
   $abs_dir = $doc_root . "/TEMP/$app_user/$db_name";
   $exe_path = $doc_root . "/cgi-bin";
   $user_dir = "TEMP/$app_user";
   $js_dir = $user_dir . "/$db_name/$model_name";

    $res_array["jsDataDir"] = $js_dir;
   $env = putenv("LD_LIBRARY_PATH=$doc_root/lib:$doc_root/mesalib");
//echo "ENV=$env<br>";
   $env = putenv("CONNECTION_FILE=" . "$doc_root/$user_dir/connection.xml");
   $lib_path = getenv("LD_LIBRARY_PATH");
   $cfile = getenv("CONNECTION_FILE");
//echo "LIB PATH=$lib_path<br>";
//echo "CONF=$cfile<br>";
   $global_file = $abs_dir . "/$model_name" . "/jsdata/global.js.gz";
   $ret_val = "";
   
   $force_get_data = false;
   if( !file_exists($global_file) || $force_get_data )
   {
      $final_path = $exe_path . "/getplotresults $model_name";
//echo "COMM=$final_path<br>";
      $ret = exec($final_path);
   }

    $collection_array = array("Global Kinetic Energy", "Global Internal Energy", "Global Total Energy", 
    "Global X Velocity", "Global Y Velocity", "Global Z Velocity", "Kinetic Energy", "Internal Energy", 
    "HourGlass Energy", "X Velocity", "Y Velocity", "Z Velocity", "");
    $count = 1;
    $obj_array = Array();
    foreach($collection_array as $result)
    {
        $obj = new stdClass();
        $obj->id = "$count";
        $obj->name = "$result";
        array_push($obj_array, $obj);
        $count = $count + 1;
    }
    $obj->id = "1";
    $obj->name = "Global Kinetic Energy";
    $res_array["CollectionList"] = $obj_array;
    $res_array["SelectedPlot"] = $obj;

    echo json_encode($res_array);
?>
