<?php
   include_once('lsdyna/lsd.php');

   $doc_dir = $_SERVER['DOCUMENT_ROOT'];
   if(isset($_SERVER['PHP_AUTH_USER']))
       $app_user = $_SERVER['PHP_AUTH_USER'];
   else
   {
       $app_user = "raj";
       $_SERVER['PHP_AUTH_USER'] = $app_user;
   }
   $user_dir = getVarValue('DBFrame', 'Gui', 'UserDir');
   $conn_file = "";
   if( $user_dir != null )
      $conn_file = "$doc_dir/$user_dir/connection.xml";
   if( !file_exists($conn_file) )
      $conn_file = "$doc_dir/TEMP/$app_user/connection.xml";

//echo "CONN in INDEX=$conn_file<br>";
   $user = "krishna";
   $password = "";
   $host = "localhost";
   if( file_exists($conn_file) )
   {
      $xml = simplexml_load_file($conn_file);
      $host = $xml['host'];
      $user = $xml['user'];
      $password = $xml['password'];
   }
   else
   {
      $conn_file = "$doc_dir/connection.xml";
      if( !file_exists($conn_file) )
      {
	 echo "connection.xml is not found in doc root";
	 return;
      }
      $xml = simplexml_load_file($conn_file);
      $host = $xml['host'];
      $user = $xml['user'];
      $password = $xml['password'];
   }

   echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">";
   echo "<html><head><title>FE MODELS FROM DB</title>\n";
   echo "<link rel='stylesheet' type='text/css' href='js/lsd.css'></link>\n";
   echo "<script language='javascript' type='text/javascript' src='/js/lsd.js'></script>\n";
   echo "<script language='javascript' type='text/javascript' src='/js/lsdxmlhttp.js'></script>\n";
   echo "<script language='javascript' type='text/javascript'>\n";
   echo "function showModelsList(db_name)\n";
   echo "{\n";
   echo "   sendRequestToModelDetails(db_name, '');\n";
   echo "}\n";
   echo "function showModelDetails(db_name, model_name)\n";
   echo "{\n";
   echo "   sendRequestToModelDetails(db_name, model_name);\n";
   echo "}\n";
   echo "function validateModelSelection(model_name)\n";
   echo "{\n";
   //echo "   alert(model_name);\n";
   echo "   if( model_name != '' )\n";
   echo "   {\n";
   echo "      parent.location.href = 'lsdgui.php';\n";
   echo "      return true;\n";
   echo "   }\n";
   echo "   else\n";
   echo "   {\n";
   echo "      alert('select a valid model');\n";
   echo "      return false;\n";
   echo "   }\n";
   echo "}\n";
   echo "</script>\n";
   echo "</head>\n";

   echo "<body><form name=\"moveDetailsForm\" method=\"POST\" action=\"\">";
   echo "<label style='color: blue;fontsize:18px;'>Move Entities</label>\n";
   echo "<table class='Fields' border='1'><tr valign='top'><td>";

   include_once( 'getconn.php');
   include_once( 'getdbmodels.php');

   $err_msg = "";
   $mysql_con = getConnection($err_msg)
      or die("Could not connect to mysql database because " . $err_msg);

   $db_array = Array();
   getDBs($mysql_con, $db_array);

   $db_name = getVarValue("DBFrame", "Gui", "SourceDB");
   if( $db_name == null )
   {
      $db_name = $db_array[0];
      setValue("DBFrame", "Gui", "SourceDB", $db_name);
   }

   $model_array = Array();
   getModelsList($mysql_con, $db_name, $model_array);
   //mysql_close($mysql_con);

   $model_name = getVarValue("DBFrame", "SourceDB", $db_name);
   if( $model_name == null )
   {
      if( count($model_array) )
      {
	 $model_name = $model_array[0];
	 setValue("DBFrame", "SourceDB", $db_name, $model_name);
      }
   }

   $ent_list = Array();
   getModelDetails($mysql_con, $db_name, $model_name, $ent_list);
   $ent_keys = array_keys($ent_list);

   echo "<table class='Fields'><th>SOURCE</th>\n";
   echo "<tr><td>DB:</td><td><select title='Database available to user' class='headingTextProp' name='SourceDBs' onchange=\"showModelEntities('Source', this.value, '')\">";

   $db_opt_str = "";
   foreach($db_array as $db_item)
   {
      if( $db_item != $db_name )
         $db_opt_str .= "<option name='" . $db_item . "' value='" . $db_item . "'>" . $db_item . "</option>\n";
      else
         $db_opt_str .= "<option name='" . $db_item . "' value='" . $db_item . "' selected='selected'>" . $db_item . "</option>\n";
   }

   echo $db_opt_str;
   echo "</select></td></tr><tr>\n";
   echo "<td>MODEL:</td><td><select title='Models in source database' class='headingTextProp' name='SourceModelList' onchange=\"showModelEntities('Source', SourceDBs.options[SourceDBs.selectedIndex].value, this.value)\">\n";

   foreach($model_array as $model_item)
   {
      if( $model_item != $model_name ) 
         echo "<option name='" . $model_item . "' value='" . $model_item 
               . "'>" . $model_item . "</option>\n";
      else
         echo "<option name='" . $model_item . "' value='" . $model_item 
               . "' selected='selected'>" . $model_item . "</option>\n";
   }

   echo "</select></td>\n";

   echo "</tr><tr><td></td><td><select multiple='yes' title='Entities in model' class='headingTextProp' name='SourceEntList' onselect=\"selectEntities(this.options)\">\n";

   foreach($ent_keys as $ent_key)
   {
      echo "<option name='" . $ent_key . "' value='" . $ent_key 
               . "'>" . $ent_key . " -- " . $ent_list[$ent_key] . "</option>\n";
   }

   echo "</select></td></tr>\n";
   echo "<tr><td><input type='button' disabled='true' name='Append' value='Append' onclick=\"return validateSrcSelection('Append', SourceEntList.options)\" title='Add entities to existing table'></input></td><td><input disabled='true' type='button' name='OverWrite' value='OverWrite' title='Delete table and add entities' onclick=\"return validateSrcSelection('OverWrite', SourceEntList.options)\"></input></tr>\n";
   echo "</table>\n";

   echo "</td>\n";
   echo "<td>\n";

   echo "<table class='Fields'><th>TARGET</th>";
   $db_name = getVarValue("DBFrame", "Gui", "TargetDB");
   if( $db_name == null )
   {
      $db_name = $db_array[0];
      setValue("DBFrame", "Gui", "TargetDB", $db_name);
   }

   $model_array = Array();
   getModelsList($mysql_con, $db_name, $model_array);

   $model_name = getVarValue("DBFrame", "TargetDB", $db_name);
   if( $model_name == null )
   {
      if( count($model_array) )
      {
	 $model_name = $model_array[0];
	 setValue("DBFrame", "TargetDB", $db_name, $model_name);
      }
   }

   $ent_list = Array();
   getModelDetails($mysql_con, $db_name, $model_name, $ent_list);
   $ent_keys = array_keys($ent_list);

   mysqli_close($mysql_con);

   echo "<tr><td>DB:</td><td><select title='Database available to user' class='headingTextProp' name='TargetDBs' onchange=\"showModelEntities('Target', this.value, '')\">";

   $db_opt_str = "";
   foreach($db_array as $db_item)
   {
      if( $db_item != $db_name )
         $db_opt_str .= "<option name='" . $db_item . "' value='" . $db_item . "'>" . $db_item . "</option>\n";
      else
         $db_opt_str .= "<option name='" . $db_item . "' value='" . $db_item . "' selected='selected'>" . $db_item . "</option>\n";
   }

   echo $db_opt_str;
   echo "</select></td></tr><tr>\n";
   echo "<td>MODEL:</td><td><select title='Models in target database' class='headingTextProp' name='TargetModelList' onchange=\"showModelEntities('Target', TargetDBs.options[TargetDBs.selectedIndex].value, this.value)\">\n";

   $new_model = getVarValue("DBFrame", "$db_name", "NewModel"); 
   if( $new_model != null )
   {
      $model_name = $new_model;
      echo "<option name='" . $new_model . "' value='" . $new_model 
	 . "'>" . $new_model . "</option>\n";
   }

   foreach($model_array as $model_item)
   {
      if( $model_item != $model_name ) 
         echo "<option name='" . $model_item . "' value='" . $model_item 
               . "'>" . $model_item . "</option>\n";
      else
         echo "<option name='" . $model_item . "' value='" . $model_item 
               . "' selected='selected'>" . $model_item . "</option>\n";
   }

   echo "</select></td>\n";

   echo "</tr><tr><td></td><td><select multiple='yes' title='Entities in target model' class='headingTextProp' name='TargetEntList' onselect=\"\">\n";

   foreach($ent_keys as $ent_key)
   {
      echo "<option name='" . $ent_key . "' value='" . $ent_key 
               . "'>" . $ent_key . " -- " . $ent_list[$ent_key] . "</option>\n";
   }

   echo "</select></td></tr>\n";
   echo "<tr><td><input type='button' disabled='true' name='Delete' value='Delete' onclick=\"return validateSrcSelection('Delete', TargetEntList.options)\" title='Delete entities from target'></td></tr>\n";
   echo "</table>\n";
   echo "</td>\n";
   echo "</tr>\n";
   echo "</table>\n";
   echo "<div id='testElm'></div>\n";
   echo "</form></body></html>";
?>
