<?php
   header('Cache-Control: no-cache, must-revalidate');
   header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
   header('Pragma: no-cache');

   $qry_str = $_SERVER['QUERY_STRING'];

   $ent_array = explode(",", $qry_str);
   $add_type = array_pop($ent_array);
echo "TYPE=$add_type\n";

include_once( 'lsdyna/lsd.php');
include_once( 'getdbmodels.php');
include_once( 'getconn.php');
include_once( 'lsdyna/element/element_array.php');

   $src_db = getVarValue("DBFrame", "Gui", "SourceDB");
   $target_db = getVarValue("DBFrame", "Gui", "TargetDB");

   $src_model = getVarValue("DBFrame", "SourceDB", $src_db);
   $target_model = getVarValue("DBFrame", "TargetDB", $target_db);

   if( $target_model == null )
   {
      echo "<script>alert('No models available in target database. Create new model');</script>\n"; 
      return;
   }

   $err_msg = "";
   $mysql_con = getConnection($err_msg) or die($err_msg);

   if( !strcmp($add_type, "Append") )
   {
echo "NUM ENT=" . count($ent_array) . "\n";
      foreach($ent_array as $ent)
      {
         $src_table = $src_db . ".`" . $src_model . "___" . $ent . "`";
         $target_table = $target_db . ".`" . $target_model . "___" . $ent . "`";
         $qry = "create table if not exists $target_table like $src_table;"; 
echo $qry . "\n";

         $elm_type = -1;
         if( strstr($ent, "ELEMENT") )
         {
            //array_search not working for 2d array
            $ent_type = $element_array[$ent];
echo "ELMTYPE=$ent_type\n";
            sscanf($ent_type, "ELM_%d", $elm_type);
	    $src_table = $src_db . ".`" . $src_model . "___ELEMENTS`";
	    $target_table = $target_db . ".`" . $target_model . "___ELEMENTS`";
            $qry = "create table if not exists $target_table like $src_table;";
         }
         $mysql_ret = mysqli_query($mysql_con, $qry);

         if( !$mysql_ret )
         {
            echo mysqli_error();
            break;
         }

         $qry = "show columns from $src_table;";
echo $qry;
         $mysql_ret = mysqli_query($mysql_con, $qry);
         $num_rows = mysqli_num_rows($mysql_ret);
         $col_str = " NULL";
         $row = mysqli_fetch_row($mysql_ret);
         for($i = 1; $i < $num_rows; $i++)
         {
            $row = mysqli_fetch_row($mysql_ret);
            $col_str .= ',' . $row[0];
         }
echo "COL_STR=$col_str\n";

         $qry = "insert into $target_table select $col_str from $src_table;"; 
         if( strstr($ent, "ELEMENT") )
         {
            $qry = "insert into $target_table select $col_str from $src_table where kw_type=$elm_type;"; 
         }

echo "$qry\n";
         $mysql_ret = mysqli_query($mysql_con, $qry);

         if( !$mysql_ret )
         {
            echo mysqli_error();
            break;
         }
      }
   }
   else if( !strcmp($add_type, "OverWrite") )
   {
echo "IN OVERWRITE\n";
      foreach($ent_array as $ent)
      {
         $src_table = $src_db . ".`" . $src_model . "___$ent`";
         $target_table = $target_db . ".`" . $target_model . "___$ent`";
         $qry = "drop table if exists $target_table;";

         $elm_type = -1;
         if( strstr($ent, "ELEMENT") )
         {
	    $src_table = $src_db . ".`" . $src_model . "___ELEMENTS`";
	    $target_table = $target_db . ".`" . $target_model . "___ELEMENTS`";

            $ent_type = $element_array[$ent];
            sscanf($ent_type, "ELM_%d", $elm_type);
            $qry = "delete from $target_table where kw_type=$elm_type;";
         }
         $mysql_ret = mysqli_query($mysql_con, $qry);

         if( !strstr($ent, "ELEMENT") && !$mysql_ret )
         {
            echo mysqli_error();
            break;
         }

         $qry = "create table $target_table select * from $src_table;";
         if( strstr($ent, "ELEMENT") )
         {
            $qry = "create table if not exists $target_table like $src_table;"; 
            $mysql_ret = mysqli_query($mysql_con, $qry);
            $qry = "insert into $target_table select NULL,kw_type,value1,value2,value3,value4,value5,value6,value7,value8,value9,value10 from $src_table where kw_type=$elm_type;"; 
         }
         $mysql_ret = mysqli_query($mysql_con, $qry);
         if( !$mysql_ret )
         {
            echo mysqli_error();
            break;
         }
      }
   }
   else
   {
      foreach($ent_array as $ent)
      {
         $src_table = $src_db . ".`" . $src_model . "___$ent`";
         $target_table = $target_db . ".`" . $target_model . "___$ent`";
         $qry = "drop table if exists $target_table;";

         $elm_type = -1;
         if( strstr($ent, "ELEMENT") )
         {
	    $src_table = $src_db . ".`" . $src_model . "___ELEMENTS`";
	    $target_table = $target_db . ".`" . $target_model . "___ELEMENTS`";

            $ent_type = $element_array[$ent];
            sscanf($ent_type, "ELM_%d", $elm_type);
            $qry = "delete from $target_table where kw_type=$elm_type;";
         }
         $mysql_ret = mysqli_query($mysql_con, $qry);

         if( !$mysql_ret )
         {
            echo mysqli_error();
            break;
         }

         if( strstr($ent, "ELEMENT") )
         {
            $qry = "select count(card_index) from $target_table;";
            $mysql_ret = mysqli_query($mysql_con, $qry);

	    if( !$mysql_ret )
	    {
	       echo mysqli_error();
	       break;
	    }
echo "COUNT=" . $mysql_ret[0] . "\n";
            if( $mysql_ret[0] == 0 )
            {
               $qry = "drop table if exists $target_table;";
               $mysql_ret = mysqli_query($mysql_con, $qry);
	       if( !$mysql_ret )
	       {
		  echo mysqli_error();
		  break;
	       }
            }
         }
      }
   }

   $src_type = "Target";
   $str = "<script>";
   getJSKWString($src_type, $target_db, $target_model, $mysql_con, $str);
   mysqli_close($mysql_con);

   $str .= "</script>";

   echo $str;
?>
