<?php
   header('Cache-Control: no-cache, must-revalidate');
   header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
   header('Pragma: no-cache');

   $qry_str = $_SERVER['QUERY_STRING'];
   parse_str($qry_str, $qry_array);
   $keys_array = array_keys($qry_array);
   $kw_short_name = $keys_array[0];
   $kw = $qry_array["$keys_array[0]"];
   $save_or_new = $qry_array["name"]; //Save or New

   include_once( 'db.php');
   include_once( 'lsdyna/lsd.php');

   $cnt_num = -1;
   if( strncmp($kw_short_name, "CNT", 3) )
      $n = sscanf($kw_short_name, "%3s_%d", $kw_abb, $kw_num);
   else
      $n = sscanf($kw_short_name, "%3s_%d_%d", $kw_abb, $kw_num, $cnt_num);
echo "KEYWORD = " . $kw_short_name . "<br>";
echo "KEYWORD NUM = " . $kw_num . "<br>";

   $max_fields = 8;
   $first_3_chars = substr($kw_short_name, 0, 3);

   switch($first_3_chars)
   {
      case "NOD":
         $max_fields = 6;
         break;
      case "ELM":
      case "CTL":
         $max_fields = 10;
         break;
   }

   $tab_loc = strpos($kw, "_");
   $tab_name = "";
   if( $tab_loc )
      $tab_name = substr($kw, 0, $tab_loc);
   else
      $tab_name = $kw;

   //added on Sep 09 2010
   if( strstr($kw, "KEYWORD") || ($kw == "TITLE") )
   {
      $tab_name = "CONTROL";
      $max_fields = 10;
   }//end

   $db_name = getVarValue("DBFrame", "Gui", "DBName");
   $model_name = getVarValue("DBFrame", "Gui", "$db_name");
    
   getFileName($model_name);
   
   $mod_key_name = $kw_short_name . "_MOD";
   $num_key = $kw_short_name . "_NumCards";
   $save_flag = 0;
   if( $save_or_new == "Save" )
   {
      if( isset($_SESSION["$num_key"]) )
      {
	 $num_crds = $_SESSION["$num_key"];
echo "OLD CARDS=$num_crds<br>";
         unset($_SESSION["$num_key"]);
	 $cur_num_crds = count($_SESSION["CardsList"]);
echo "NEW CARDS=$cur_num_crds<br>";
	 if( $cur_num_crds == $num_crds )
	    $save_flag = 1;
      }
      else
      {
         echo "Nothing modified to save<br>";
         return;
      }
   }

echo "SAVE=$save_or_new<br>";
   if( $save_flag == 1 )
   {
      $err_msg = "";
      $my_con = getConnection($err_msg);
      if( !$my_con )
         return;

      $modify_array = $_SESSION["$mod_key_name"];
      if( !count($modify_array) )
      {
         echo "NOTHING MODIFIED TO SAVE<br>";
	 mysqli_close($my_con);
         return;
      }

      $row_keys = array_keys($modify_array);
      $update_str = "UPDATE `" . $model_name . "___" . $tab_name . "S` SET ";
      foreach($row_keys as $row)
      {
         $row_array = $modify_array["$row"];
         $col_names = array_keys($row_array);
         $str = "";
         $count = count($col_names);
         $i = 0;
         for(; $i < $count-1; $i++)
         {
            $col = $col_names["$i"];
            $str .= "$col = '" . $row_array["$col"] . "',";
            $row_array["$col"] = null;
         }

	 $col = $col_names["$i"];
	 $str .= "$col = '" . $row_array["$col"] . "' where card_index=$row;";
         $row_array["$col"] = null;
         $modify_array["$row"] = null;
         $stmt_str = $update_str . $str;
echo "STATE=$stmt_str<br>";
         $err_msg = "";
	 $my_result = executeQuery($stmt_str, $err_msg, $my_con);
echo "SAVE RESULT=$my_result<br>";
	 if( $my_result )
	 {
	    echo "<html><head><title>Save $kw to database</title></head><body><br>";
	    echo "$kw is successfully saved to database.<br>";
	    echo "</body></html><br>";
	 }
	 else
	 {
	    echo "<html><head><title>Save $kw to database</title></head><body><br>";
	    echo "$err_msg<br>";
	    echo "</body></html><br>";
	 }
      }

      mysqli_close($my_con);
      $_SESSION["$kw_short_name"] = null;
      $_SESSION["$mod_key_name"] = null;
      return;
   }

   $_SESSION["$mod_key_name"] = null;

   $str = "";
   if( isset($_SESSION["$kw_short_name"]) )
   {
      $cards_array = $_SESSION["$kw_short_name"];
      $card_keys = array_values($_SESSION["CardsList"]);
      $num_cards = count($cards_array);
      if( isset($cards_array["StarCard"]) )
      {
	 $fields_array = $cards_array["StarCard"];
	 $loop_var = $fields_array["STARVAR"];
	 if( $loop_var != "0" )
	 {
	    $cards_array["StarCard"] = null;
	 }
      }

$num_keys = count($card_keys);
echo "NUM CARDS = $num_cards\n";
echo "NUM KEYS = $num_keys\n";
      $i = 0;
      $key = $card_keys[$i];
      if( $cards_array["$key"] != null )
	 cardStr($cards_array, $key, $max_fields, $str, $kw_num, $cnt_num);
      for($i = 1; $i < $num_keys; $i++)
      {
	 $key = $card_keys[$i];
	 if( $cards_array[$key] == null )
	    continue;
	 $str .= ",";
	 cardStr($cards_array, $key, $max_fields, $str, $kw_num, $cnt_num);
      }
      
      $cards_array = null;

      if( $str == null )
      {
	 echo "NOTHING TO SAVE<br>";
	 return;
      }
      
      if( $first_3_chars != "NOD" && $first_3_chars != "ELM" )
      {
	 $str .= ",(NULL,$kw_num,\"$\"";
	 for($i = 1; $i < $max_fields; $i++) 
	    $str .= ",\"\"";

	 if( $cnt_num != -1 )
	    $str .= ",\"\"";

	 $str .= ");";
      }
      else
	 $str .= ";";

      $_SESSION["$kw_short_name"] = null;
   }
   else
   {
      $str .= "(NULL,$kw_num,\"$\"";
      for($i = 1; $i < $max_fields; $i++)
	 $str .= ",\"\"";
      $str .= ");";
   }

   $stmt_str = "INSERT INTO `" . $model_name . "___" . $tab_name . "S` VALUES " . $str;

echo $stmt_str . "<br>";

   $mysql_result = saveToDatabase($model_name, $tab_name, $stmt_str, $first_3_chars, $err_msg);

   if( $mysql_result )
   {
      echo "<html><head><title>Save $kw to database</title></head><body><br>";
      echo "$kw is successfully saved to database.<br>";
      echo "</body></html><br>";

      if( $save_or_new == "Save" )
      {
	 $edit_value = getVarValue('ObjectFrame', 'Gui', 'EditValue');
	 list($edit_index, $edit_num) = sscanf($edit_value, "%d_%d");
echo "EDIT VALUE=$edit_value<br>";
	 setValue('ObjectFrame', 'Gui', 'EditValue', '');
	 $num = (int)$edit_index + (int)$edit_num - 1;
echo "NUM=$num<br>";
	 $del_stmt = "delete from `" . $model_name . "___" . $tab_name . "S` where card_index between " . $edit_index . " and " . $num . ";";
echo "DEL STMT=$del_stmt<br>";
	 $mysql_con = getConnection($err_msg);
	 $my_ret = mysqli_db_query($db_name, $del_stmt, $mysql_con);
echo "DEL RET=$my_ret<br>";
	 mysqli_close($mysql_con);
      }
   }
   else
   {
      echo "<html><head><title>Save $kw to database</title></head><body><br>";
      echo "$err_msg<br>";
      echo "</body></html><br>";
   }

   function cardStr(&$cards_array, &$i, &$max_fields, &$str,&$key_num,&$cnt_num)
   {
      $fields_array = $cards_array[$i];
      $field_keys = array_keys($fields_array);
      $num_fields = count($fields_array);
      $str .= "(NULL,$key_num,";
      $j = 0;
      $key = $field_keys[$j];
      fieldStr($fields_array, $key, $str);
      for($j = 1; $j < $num_fields; $j++)
      {
         $key = $field_keys[$j];
         $str .= ",";
         fieldStr($fields_array, $key, $str);
      }
      
      for($j = $num_fields; $j < $max_fields; $j++)
         $str .= ",\"\"";

      if( $cnt_num != -1 )
         $str .= ",$cnt_num";

      $str .= ")";

      $fields_array = null;
      $cards_array[$i] = null;
   }

   function fieldStr(&$fields_array, &$j, &$str)
   {
      if( $fields_array[$j] != "" )
	 $str .= "\"" . $fields_array[$j] . "\"";
      else
	 $str .= "\"\"";
   }
?>
