<?php
include_once('lsdyna/lsd.php');
$db_name = getVarValue("DBFrame", "Gui", "DBName");
if($db_name == null)
{
    $db_name = "test";
    setValue("DBFrame", "Gui", "DBName", $db_name);
}

$model_name = getVarValue("DBFrame", "Gui", "$db_name");
if(isset($_SERVER['PHP_AUTH_USER']))
    $app_user = $_SERVER['PHP_AUTH_USER'];
else
{
    $app_user = "raj";
    $_SERVER['PHP_AUTH_USER'] = $app_user;
}
$user = $_SERVER["PHP_AUTH_USER"];

echo "<!doctype html>
<html lang='en'>

<head>
  <meta charset='utf-8'>
  <meta name='viewport' content='width=device-width, initial-scale=1, shrink-to-fit=no'>
  <meta name='description' content=''>
  <meta name='author' content=''>
  <link rel='icon' href='favicon.ico'>

  <title>CAE Data Management System</title>

  <!-- Bootstrap core CSS -->
  <link href='css/bootstrap.min.css' rel='stylesheet'>
  <link href='css/mystyle.css' rel='stylesheet'>


  <!-- Custom styles for this template -->
  <link href='css/offcanvas.css' rel='stylesheet'>
  <script language='javascript' type='text/javascript' src='js/lsd.js'></script>
  <script language='javascript' type='text/javascript' src='js/lsdxmlhttp.js'></script>
  <script src='assets/js/vendor/jquery-slim.min.js' crossorigin='anonymous'></script>
  <script src='js/angular.min.js'></script>
  <script src='js/caeangular.js'></script>
  <script src='assets/js/vendor/popper.min.js'></script>
  <script src='js/bootstrap.min.js'></script>
  <script src='js/offcanvas.js'></script>
</head>
<body ng-app='CAEApp'>
  <nav class='navbar navbar-expand-md fixed-top navbar-light sim_header' style=\"background-color:#007bff\">
    <a class='navbar-brand' style='color: white' href='dashboard.php' onMouseOver=\"this.style.color='black'\"
    onMouseOut=\"this.style.color='white'\">Dashboard</a>
      <button class='navbar-toggler' type='button' data-target='#navbarsExampleDefault' aria-controls='navbarsExampleDefault'
          aria-expanded='false' aria-label='Toggle navigation'>
          <span class='navbar-toggler-icon'></span>
      </button>
    <div class='collapse navbar-collapse' id='navbarsExampleDefault'>
      <ul class='navbar-nav mr-auto'>
        <li class='nav-item active'>
          <a class='navbar-brand nav-link' style='color: white' href='workingmodel.html' onMouseOver=\"this.style.color='black'\"
          onMouseOut=\"this.style.color='white'\">Working Model<span class='sr-only'>(current)</span></a>
        </li>
        <li class='nav-item'>
              <a href='submittosolver.php' style='color:black' class='navbar-brand nav-link'>Submit to Solver</a>
        </li>
        <li class='nav-item'>
          <a class='navbar-brand nav-link' style='color: white' href='about.html' onMouseOver=\"this.style.color='black'\"
          onMouseOut=\"this.style.color='white'\">About</a>
        </li>
      </ul>
    </div>
  </nav>";
echo "<div class='container'><h2>Model Name:$model_name</h2>";
echo "<table><tr><td><input type='button' class='okProp' name='Solver'";
echo " title='Export to dyna native file and submit to solver' value='Submit to Solver'";
echo " onclick=\"return manipulateServerData('Solver', '$db_name', '$model_name')\"></input></td>";
echo "<td><input type='text' size='10' class='headingTextProp' name='Memory'";
echo "title='Memory size in words' value='1000000'";
echo " onchange=\"return sendRequest('DBFrame', 'Gui', 'Memory', this.value)\"></input></td>";
echo "<td><input type='text' size='5' class='headingTextProp' name='CPUS' title='Number of CPUS' value='1'";
echo " onchange=\"return sendRequest('DBFrame', 'Gui', 'NumCPUS', this.value)\"></input></td></tr></table>";
echo "<div id='testElm'></div>\n";
echo "</div>";
echo "</body>
</html>";
?>
