<?php
   header('Cache-Control: no-cache, must-revalidate');
   header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
   header('Pragma: no-cache');

   $qry_str = $_SERVER['QUERY_STRING'];
   if(isset($_SERVER['PHP_AUTH_USER']))
       $app_user = $_SERVER['PHP_AUTH_USER'];
   else
   {
       $app_user = "raj";
       $_SERVER['PHP_AUTH_USER'] = $app_user;
   }
   $app_user = $_SERVER['PHP_AUTH_USER'];
   $doc_dir = $_SERVER['DOCUMENT_ROOT'];
   parse_str($qry_str, $qry_array);
   $keys_array = array_keys($qry_array);
   $name = $keys_array[0];
   $value = $qry_array["$keys_array[0]"];

   $width = $qry_array["$keys_array[1]"];
   $height = $qry_array["$keys_array[2]"];

include_once( 'lsdyna/lsd.php');

   $db = getVarValue("DBFrame", "Gui", "DBName");
   $model_name = getVarValue("DBFrame", "Gui", $db);
   $user_dir = getVarValue('DBFrame', 'Gui', 'UserDir');
   if($user_dir == null)
   {
       $user_dir = "TEMP/$app_user/$db/$model_name";
       setValue('DBFrame', 'Gui', 'UserDir', $user_dir);
   }
//echo "USER DIR=" . $user_dir;
   $conn_file = "$user_dir/connection.xml";
   $xml = null;
   if( !file_exists($conn_file) )
   {
      $conn_file = "$doc_dir/TEMP/$app_user/connection.xml";
      $xml = simplexml_load_file($conn_file);
      if( !file_exists($user_dir) )
         mkdir($user_dir, 0755, true);
      $conn_file = "$user_dir/connection.xml";
      file_put_contents($conn_file, $xml->asXML());
   }
//echo "CONN FILE=$conn_file<br>";
   if( $xml == null )
      $xml = simplexml_load_file($conn_file);

   $xml["width"] = $width;
   $xml["height"] = $height;

   $new_model = 1;
   if( $name == "Load" )
   {
      $model_xml = (String)$xml["model"];
//echo "XMLMODEL=" . $model_name . "<br>";
//echo "MODEL=" . $model_xml . "<br>";
      $img_name = $user_dir . "/$model_name.jpeg";
     
      if( !file_exists($img_name) )
      {
//echo "INSIDE NOT EQUAL<br>";
         $xml["view"] = "isometric";
         $xml["display"] = "smooth";
	 setValue("RenderFrame", "Gui", "View", "isometric");
	 setValue("RenderFrame", "Gui", "Display", "smooth");
         resetTransValues();
      }
      else
      {
         $new_model = 0;
         //VIP:while setting the value from the xml attributes, the attribute
         //values must be changed to string type and then set. Otherwise
         //a funny error like 'Node no more exists line 0 file 0' will get
	 setValue("RenderFrame", "Gui", "rx", (String)$xml["rx"]);
	 setValue("RenderFrame", "Gui", "ry", (String)$xml["ry"]);
	 setValue("RenderFrame", "Gui", "rz", (String)$xml["rz"]);

	 setValue("RenderFrame", "Gui", "tx", (String)$xml["tx"]);
	 setValue("RenderFrame", "Gui", "ty", (String)$xml["ty"]);
	 setValue("RenderFrame", "Gui", "tz", (String)$xml["tz"]);

	 setValue("RenderFrame", "Gui", "sx", (String)$xml["sx"]);
	 setValue("RenderFrame", "Gui", "sy", (String)$xml["sy"]);
	 setValue("RenderFrame", "Gui", "sz", (String)$xml["sz"]);

	 setValue("RenderFrame", "Gui", "View", (String)$xml["view"]);
	 setValue("RenderFrame", "Gui", "Display", (String)$xml["display"]);
      }
   }
   else if( $name == "Reset" )
   {
      resetTransValues();
   }

//echo "NAME=$name<br>";
//echo "VAL=$value<br>";

   if( $value == "hide" || $value == "show" )
   {
      if( $value == "hide" )
	 $xml["hide"] = "yes";
      else
	 $xml["hide"] = "no";
   }

   if( $name == "Display" || $name == "View" )
   {
      setValue("RenderFrame","Gui",$name, $value);
      $name = strtolower($name);
      $xml["$name"] = $value;
   }

   if( $name == "Transform" || $new_model == 1 )
      setTransValuesToXml($xml);

   if( $name == "Transform" || $new_model == 1 )
      file_put_contents($conn_file, $xml->asXML());

   if( $name == "Transform" || $new_model == 1 )
   {
      include_once( 'modelexe.php');
      $force_get_data = 0;
      executeModel($force_get_data);
   }
    
   function setTransValuesToXml(&$xml)
   {
      $rx = getVarValue("RenderFrame","Gui","rx");
      $ry = getVarValue("RenderFrame","Gui","ry");
      $rz = getVarValue("RenderFrame","Gui","rz");

      $tx = getVarValue("RenderFrame","Gui","tx");
      $ty = getVarValue("RenderFrame","Gui","ty");
      $tz = getVarValue("RenderFrame","Gui","tz");

      $sx = getVarValue("RenderFrame","Gui","sx");
      $sy = getVarValue("RenderFrame","Gui","sy");
      $sz = getVarValue("RenderFrame","Gui","sz");
      
      $xml["rx"] = $rx;
      $xml["ry"] = $ry;
      $xml["rz"] = $rz;

      $xml["sx"] = $sx;
      $xml["sy"] = $sy;
      $xml["sz"] = $sz;

      $xml["tx"] = $tx;
      $xml["ty"] = $ty;
      $xml["tz"] = $tz;
   }

   function loadValuesFromXml(&$xml)
   {
/*
      setValue("RenderFrame", "Gui", "rx", $rx);
      setValue("RenderFrame", "Gui", "ry", $ry);
      setValue("RenderFrame", "Gui", "rz", $rz);

      setValue("RenderFrame", "Gui", "tx", $tx);
      setValue("RenderFrame", "Gui", "ty", $ty);
      setValue("RenderFrame", "Gui", "tz", $tz);

      setValue("RenderFrame", "Gui", "sx", $sx);
      setValue("RenderFrame", "Gui", "sy", $sy);
      setValue("RenderFrame", "Gui", "sz", $sz);

      setValue("RenderFrame", "Gui", "View", $view);
      setValue("RenderFrame", "Gui", "Display", $disp);
*/
   }

   function resetTransValues()
   {
      setValue("RenderFrame","Gui", "rx","0");
      setValue("RenderFrame","Gui", "ry","0");
      setValue("RenderFrame","Gui", "rz","0");

      setValue("RenderFrame","Gui", "tx","0");
      setValue("RenderFrame","Gui", "ty","0");
      setValue("RenderFrame","Gui", "tz","0");

      setValue("RenderFrame","Gui", "sx","0");
      setValue("RenderFrame","Gui", "sy","0");
      setValue("RenderFrame","Gui", "sz","0");
   }
?>
