<?php
   header('Cache-Control: no-cache, must-revalidate');
   header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
   header('Pragma: no-cache');

   $qry_str = $_SERVER['QUERY_STRING'];
   if(isset($_SERVER['PHP_AUTH_USER']))
       $app_user = $_SERVER['PHP_AUTH_USER'];
   else
   {
       $app_user = "raj";
       $_SERVER['PHP_AUTH_USER'] = $app_user;
   }
   $app_user = $_SERVER['PHP_AUTH_USER'];
   $ent_array = explode(",", $qry_str);
   array_pop($ent_array);

include_once( 'lsdyna/lsd.php');
include_once( 'getdbmodels.php');
include_once( 'getconn.php');

   $vendor = "mysql";
   $host = $ent_array[1];
   $user = $ent_array[2];
   $password = $ent_array[3];

   $db_name = getVarValue('DBFrame', 'Gui', "DBName");
   $model_name = getVarValue('DBFrame', 'Gui', "$db_name");

   $conn_file = "TEMP/$app_user/connection.xml";
   if( !file_exists($conn_file) )
   {
//echo "IN WRITECONN USER FILE NOT EXIST<br>";
      $str = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
      $str .= "<connection name=\"$app_user\" host=\"$host\"\n";
      $str .= "   user=\"$user\" port=\"3306\" password=\"$password\"\n";
      $str .= "   db=\"$db_name\" vendor=\"mysql\" width=\"1200\"\n";
      $str .= "   height=\"1000\" drawtype=\"7\" filetype=\"2\"\n";
      $str .= "   view=\"isometric\" display=\"smooth\" rx=\"0\"\n";
      $str .= "   hide=\"yes\" tx=\"0\" ty=\"0\" tz=\"0\" model=\"$model_name\"\n";
      $str .= "   ry=\"0\" rz=\"0\" sx=\"0\" sy=\"0\" sz=\"0\"/>\n";
      if( !file_exists("TEMP/$app_user") )
         mkdir("TEMP/$app_user", 0755, true);
      file_put_contents($conn_file, $str);
   }
   else
   {
//echo "IN WRITECONN USER FILE EXIST<br>";
      $xml = simplexml_load_file($conn_file);

      $xml['vendor'] = $vendor;
      $xml['host'] = $host;
      $xml['user'] = $user;
      $xml['password'] = $password;

      file_put_contents($conn_file, $xml->asXML());
      //return;
   }

   setValue('DBFrame', 'Gui', 'UserDir', '');
   $err_msg = "";
   $mysql_con = getConnection($err_msg)
      or die("Could not connect to mysql database because " . $err_msg);

   $db_array = Array();
   getDBs($mysql_con, $db_array);

   $num_dbs = count($db_array);
   $db_str = "";
   $db_name = getVarValue('DBFrame', 'Gui', "DBName");
   if( $num_dbs )
   {
      if( !in_array($db_name, $db_array) )
         $db_name = $db_array[0];

      setValue("DBFrame", "Gui", "DBName", $db_name);

      $db_str .= "var names_list=['" . $db_array[0] . "'";
      $i = 1;

      for(; $i < $num_dbs; $i++)
      {
	 $db_str .= ",'$db_array[$i]'";
      }

      $db_str .= "];var options=document.modelsForm.ModelDBs.options;";
      $db_str .= "modifyKWList(options,names_list,names_list);";
      $db_str .= "selectOption(options,'$db_name');";
   }
   
   $model_array = Array();
   getModelsList($mysql_con, $db_name, $model_array);
   mysqli_close($mysql_con);

   $model_name = getVarValue('DBFrame', 'Gui', "$db_name");
   $model_str = "";
   $num_models = count($model_array);
   if( $num_models )
   {
//echo "MODEL NAME=$model_name DB=$db_name<br>";
      if( !in_array($model_name, $model_array) )
      {
//print_r($model_array);
//echo "MODE NOT EXISTS in ARRAY<br>";
         $model_name = $model_array[0];
      }

      setValue("DBFrame", "Gui", "$db_name", $model_name);
      $model_str .= "var values_list=['" . $model_array[0] . "'";
      $i = 1;

      for(; $i < $num_models; $i++)
      {
	 $model_str .= ",'$model_array[$i]'";
      }

      $model_str .= "];options=document.modelsForm.ModelsList.options;";
      $model_str .= "modifyKWList(options,values_list,values_list);";
      $model_str .= "selectOption(options,'$model_name');";
   }

   $user_dir = "TEMP/$app_user/$db_name/$model_name";
   echo "USER 2=" . $user_dir;
   //setValue('DBFrame', 'Gui', 'UserDir', $user_dir);

   $conn_file = "TEMP/$app_user/connection.xml";
   $xml = simplexml_load_file($conn_file);
   $xml['db'] = $db_name;
   $xml['model'] = $model_name;
   file_put_contents($conn_file, $xml->asXML());

   $conn_file = "$user_dir/connection.xml";
   if( !file_exists($user_dir) )
      mkdir($user_dir, 0755, true);
   file_put_contents($conn_file, $xml->asXML());

   $str = "<script>\n";
   $str .= $db_str;
   //$str .= $model_str;
   $str .= "sendRequestToModelDetails('$db_name', '$model_name');\n";
   $str .= "</script>\n";
   setValue('DBFrame', 'Gui', 'UserDir', $user_dir);

   echo $str;
?>
