<?php
  include_once('getconn.php');

  function saveToDatabase(&$model_name, &$table_name, &$stmt_str, &$first_3_chars, &$err_msg)
  {
     $my_con = getConnection($err_msg);

     if( !$my_con )
	return null;

     $qry = "";
     $tab_name = "`" . $model_name . "___" . $table_name . "S`";

     switch((string)$first_3_chars)
     {
	case "ABG":
	case "ALE":
	case "BDR":
	case "EFA":
	case "LOD":
	case "PRM":
	{
	   $qry = "create table if not exists $tab_name (CARD_INDEX int not null primary key auto_increment, KW_TYPE int not null, VALUE1 varchar(16), VALUE2 varchar(80), VALUE3 varchar(16), VALUE4 varchar(16), VALUE5 varchar(16), VALUE6 varchar(16), VALUE7 varchar(16), VALUE8 varchar(16));";
	}
	break;
	case "NOD":
	   $qry = "create table if not exists $tab_name (CARD_INDEX int not null primary key auto_increment, KW_TYPE int not null, VALUE1 varchar(16), VALUE2 varchar(16), VALUE3 varchar(16), VALUE4 varchar(16), VALUE5 varchar(16), VALUE6 varchar(16));";
	   break;
	case "ELM":
	   $qry = "create table if not exists $tab_name (CARD_INDEX int not null primary key auto_increment, KW_TYPE int not null,VALUE1 varchar(16), VALUE2 varchar(16), VALUE3 varchar(16), VALUE4 varchar(16), VALUE5 varchar(16), VALUE6 varchar(16), VALUE7 varchar(16), VALUE8 varchar(16), VALUE9 varchar(16), VALUE10 varchar(16));";
	   break;
	case "CNS":
	case "DBS":
	{
	   $qry = "create table if not exists $tab_name (CARD_INDEX int not null primary key auto_increment, KW_TYPE int not null, VALUE1 varchar(80), VALUE2 varchar(80), VALUE3 varchar(16), VALUE4 varchar(16), VALUE5 varchar(16), VALUE6 varchar(16), VALUE7 varchar(16), VALUE8 varchar(16));";
	}
	break;
	case "CNT":
	   $qry = "create table if not exists $tab_name (CARD_INDEX int not null primary key auto_increment, KW_TYPE int not null, VALUE1 varchar(16), VALUE2 varchar(80), VALUE3 varchar(16), VALUE4 varchar(16), VALUE5 varchar(16), VALUE6 varchar(16), VALUE7 varchar(16), VALUE8 varchar(16), CON_TYPE int unsigned);";
	   break;
	case "CTL":
	case "KEY":
	case "TTL":
	{
	   $qry = "create table if not exists $tab_name (CARD_INDEX int not null primary key auto_increment, KW_TYPE int not null, VALUE1 varchar(80), VALUE2 varchar(16), VALUE3 varchar(16), VALUE4 varchar(16), VALUE5 varchar(16), VALUE6 varchar(16), VALUE7 varchar(16), VALUE8 varchar(16), VALUE9 varchar(16), VALUE10 varchar(16));";
	}
	break;
	case "HGL":
	case "INC":
	case "PRT":
	case "PER":
	case "SEC":
	case "SET":
	{
	   $qry = "create table if not exists $tab_name (CARD_INDEX int not null primary key auto_increment, KW_TYPE int not null, VALUE1 varchar(80), VALUE2 varchar(16), VALUE3 varchar(16), VALUE4 varchar(16), VALUE5 varchar(16), VALUE6 varchar(16), VALUE7 varchar(16), VALUE8 varchar(16));";
	}
	break;
	case "COM":
	case "DMP":
	case "DFM":
	case "INT":
	case "INI":
	case "INF":
	case "MAT":
	case "RAL":
	case "RGW":
	case "SEN":
	case "TRM":
	case "USR":
	{
	   $qry = "create table if not exists $tab_name (CARD_INDEX int not null primary key auto_increment, KW_TYPE int not null, VALUE1 varchar(16), VALUE2 varchar(16), VALUE3 varchar(16), VALUE4 varchar(16), VALUE5 varchar(16), VALUE6 varchar(16), VALUE7 varchar(16), VALUE8 varchar(16));";
	}
	break;
	case "DEF":
	case "EOS":
	{
	   $qry = "create table if not exists $tab_name (CARD_INDEX int not null primary key auto_increment, KW_TYPE int not null, VALUE1 varchar(80), VALUE2 varchar(24), VALUE3 varchar(24), VALUE4 varchar(24), VALUE5 varchar(24), VALUE6 varchar(24), VALUE7 varchar(24), VALUE8 varchar(24));";
	}
	break;
	default:
	   $qry = "create table if not exists $tab_name (CARD_INDEX int not null primary key auto_increment, KW_TYPE int not null, VALUE1 varchar(16), VALUE2 varchar(16), VALUE3 varchar(16), VALUE4 varchar(16), VALUE5 varchar(16), VALUE6 varchar(16), VALUE7 varchar(16), VALUE8 varchar(16));";
	   break;
     }

     $my_result = executeQuery($qry, $err_msg, $my_con);
echo "RESULT=$my_result<br>";

     if( $my_result )
	$my_result = executeQuery($stmt_str, $err_msg, $my_con);
echo "AFTER RESULT=$my_result<br>";
echo "ERROR=$err_msg<br>";

     mysqli_close($my_con);

     return $my_result;
  }
?>
