<?php
   include_once('lsdyna/lsd.php');

   $doc_dir = $_SERVER['DOCUMENT_ROOT'];
   if(isset($_SERVER['PHP_AUTH_USER']))
       $app_user = $_SERVER['PHP_AUTH_USER'];
   else
   {
       $app_user = "raj";
       $_SERVER['PHP_AUTH_USER'] = $app_user;
   }
   $app_user = $_SERVER['PHP_AUTH_USER'];
   $user_dir = getVarValue('DBFrame', 'Gui', 'UserDir');
   $conn_file = "";
   if( $user_dir != null )
      $conn_file = "$doc_dir/$user_dir/connection.xml";
   if( !file_exists($conn_file) )
      $conn_file = "$doc_dir/TEMP/$app_user/connection.xml";

//echo "CONN in INDEX=$conn_file<br>";
   $user = "krishna";
   $password = "";
   $host = "localhost";
   if( file_exists($conn_file) )
   {
      $xml = simplexml_load_file($conn_file);
      $host = $xml['host'];
      $user = $xml['user'];
      $password = $xml['password'];
   }
   else
   {
      $conn_file = "$doc_dir/connection.xml";
      if( !file_exists($conn_file) )
      {
	 echo "connection.xml is not found in doc root";
	 return;
      }
      $xml = simplexml_load_file($conn_file);
      $host = $xml['host'];
      $user = $xml['user'];
      $password = $xml['password'];
   }

   echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">";
   echo "<html><head><title>FE MODELS FROM DB</title>\n";
   echo "<link rel='stylesheet' type='text/css' href='js/lsd.css'></link>\n";
   echo "<script language='javascript' type='text/javascript' src='/js/lsd.js'></script>\n";
   echo "<script language='javascript' type='text/javascript' src='/js/lsdxmlhttp.js'></script>\n";
   echo "<script language='javascript' type='text/javascript'>\n";
   echo "function showModelsList(db_name)\n";
   echo "{\n";
   echo "   sendRequestToModelDetails(db_name, '');\n";
   echo "}\n";
   echo "function showModelDetails(db_name, model_name)\n";
   echo "{\n";
   echo "   sendRequestToModelDetails(db_name, model_name);\n";
   echo "}\n";
   echo "function validateModelSelection(model_name)\n";
   echo "{\n";
   //echo "   alert(model_name);\n";
   echo "   if( model_name != '' )\n";
   echo "   {\n";
   echo "      parent.location.href = 'lsdgui.php';\n";
   echo "      return true;\n";
   echo "   }\n";
   echo "   else\n";
   echo "   {\n";
   echo "      alert('select a valid model');\n";
   echo "      return false;\n";
   echo "   }\n";
   echo "}\n";
   echo "</script>\n";
   echo "</head>\n";

   echo "<body><form name=\"modelsForm\" method=\"POST\" action=\"\">";
   echo "<label style='color: blue'>Welcome $app_user</label>";


   include_once( 'getconn.php');
   include_once( 'getdbmodels.php');

   $err_msg = "";
   $mysql_con = getConnection($err_msg)
      or die("Could not connect to mysql database because " . $err_msg);

   $db_array = Array();
   getDBs($mysql_con, $db_array);

   $db_name = getVarValue("DBFrame", "Gui", "DBName");
   if( $db_name == null )
   {
      $db_name = $db_array[0];
      setValue("DBFrame", "Gui", "DBName", $db_name);
   }

   $model_array = Array();
   getModelsList($mysql_con, $db_name, $model_array);
   mysqli_close($mysql_con);

   $model_name = getVarValue("DBFrame", "Gui", $db_name);
   if( $model_name == null )
   {
      if( count($model_array) )
      {
	 $model_name = $model_array[0];
	 setValue("DBFrame", "Gui", $db_name, $model_name);
      }
   }

   echo "<table class='Fields'>";

   echo "<tr><td>MODELS:</td><td><select title='Models in selected database' class='headingTextProp' name='ModelsList' onchange=\"showModelDetails('test', this.value)\">\n";
   $new_model = getVarValue("DBFrame", "$db_name", "NewModel"); 
   if( $new_model != null )
   {
      $model_name = $new_model;
      echo "<option name='" . $new_model . "' value='" . $new_model 
	 . "'>" . $new_model . "</option>\n";
   }

   writeEmptyDataFile($db_name, $model_name);

   foreach($model_array as $model_item)
   {
      if( $model_item != $model_name ) 
         echo "<option name='" . $model_item . "' value='" . $model_item 
               . "'>" . $model_item . "</option>\n";
      else
         echo "<option name='" . $model_item . "' value='" . $model_item 
               . "' selected='selected'>" . $model_item . "</option>\n";
   }

   echo "</select></td>\n";

   echo "</tr><tr>\n";
   echo "<td><input type='button' class='okProp' name='Select' value='Go to GUI' onclick=\"return validateModelSelection(ModelsList.options[ModelsList.selectedIndex].value)\" title='Go to GUI to modify the selected model'></input></td>";
   echo "<td><input type='button' class='okProp' name='GetData' value='Get Data' onclick=\"return manipulateServerData('GetData', ModelDBs.options[ModelDBs.selectedIndex].value, ModelsList.options[ModelsList.selectedIndex].value)\" title='Get data from DB to server for the selected model'></input>";
   echo "  <input type='button' class='okProp' name='DeleteData' title='Delete data on the server for the selected model' value='Delete Data' onclick=\"return manipulateServerData('Delete', ModelDBs.options[ModelDBs.selectedIndex].value, ModelsList.options[ModelsList.selectedIndex].value)\"></input></td>";
   echo "</tr><tr><td><input type='button' class='okProp' name='Solver' title='Export to dyna native file and submit to solver' value='To DYNA' onclick=\"return manipulateServerData('Solver', ModelDBs.options[ModelDBs.selectedIndex].value, ModelsList.options[ModelsList.selectedIndex].value)\"></input></td>";
   echo "<td><input type='text' size='10' class='headingTextProp' name='Memory' title='Memory size in words' value='1000000' onchange=\"return sendRequest('DBFrame', 'Gui', 'Memory', this.value)\"></input>";
   echo "  <input type='text' size='5' class='headingTextProp' name='CPUS' title='Number of CPUS' value='1' onchange=\"return sendRequest('DBFrame', 'Gui', 'NumCPUS', this.value)\"></input></td>";

   $new_model = "NewModel" . (count($model_array) + 1);
   echo "</tr><tr><td>NEW MODEL:</td><td><input class='headingTextProp' type='text' maxlength='20' value='$new_model' name='newModelText' title='only alpha numeric characters. -,_,&amp;,%,$,^,*,@,~,... are not allowed'></input>  <input class='okProp' name='Add' title='Add new model to the selected DB' type='button' value='Add New' onclick=\"addNewModel(ModelDBs.options[ModelDBs.selectedIndex].value, ModelsList.options, newModelText.value)\"></input></td></tr>";
   echo "</table>\n";

   echo "<script language='javascript' type='text/javascript'>";
   //echo "showModelDetails('$db_name', '$model_name');";
   echo "writeConnectionFile('mysql', '$host', '$user', '$password');";
   echo "</script>";
   echo "<div id='testElm'></div>\n";
   echo "</form></body></html>";
?>
