<?php
  function getConnection(&$err_msg)
  {
     if(isset($_SERVER['PHP_AUTH_USER']))
	 $app_user = $_SERVER['PHP_AUTH_USER'];
     else
     {
	 $app_user = "raj";
	 $_SERVER['PHP_AUTH_USER'] = $app_user;
     }
     $app_user = $_SERVER['PHP_AUTH_USER'];
     $doc_dir = $_SERVER['DOCUMENT_ROOT'];
     $user_dir = getVarValue('DBFrame', 'Gui', 'UserDir');
     $base_dir = getVarValue('DBFrame', 'Gui', 'BaseDir');
     $db_name = getVarValue('DBFrame', 'Gui', 'DBName');
     $model_name = getVarValue('DBFrame', 'Gui', "$db_name");

//echo "USER DIR=$user_dir<br>";
     $conn_file = "";
     if( $user_dir != null )
     {
        $conn_file = "$doc_dir/$user_dir/connection.xml";
//echo "USER DIR CONN FILE SELECTED<br>";
     }

     if( !file_exists($conn_file) )
     {
        $conn_file = "$doc_dir/TEMP/$app_user/connection.xml";
//echo "USER CONN FILE SELECTED<br>";
     }

     if( !file_exists($conn_file) )
     {
//echo "CONN FILE NOT EXISTS: $conn_file<br>";
	//then look for doc root directory
	$conn_file = "$doc_dir/connection.xml";
	if( !file_exists($conn_file) )
	{
	   $str = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
	   $str .= "<connection name=\"$app_user\" host=\"localhost\"\n";
	   $str .= "   user=\"krishna\" port=\"3306\" password=\"\"\n";
	   $str .= "   db=\"$db_name\" vendor=\"mysql\" width=\"1200\"\n";
	   $str .= "   height=\"1000\" drawtype=\"7\" filetype=\"2\"\n";
	   $str .= "   view=\"isometric\" display=\"smooth\" rx=\"0\"\n";
	   $str .= "   hide=\"yes\" tx=\"0\" ty=\"0\" tz=\"0\"\n";
	   $str .= "   model=\"$model_name\"\n";
	   $str .= "   ry=\"0\" rz=\"0\" sx=\"0\" sy=\"0\" sz=\"0\"/>\n"; 

	   if( !file_exists("$doc_dir/$user_dir") )
	      mkdir($user_dir, 0755, true);
	   file_put_contents($conn_file, $str);
	}
     }

//echo "SELECTED CONN FILE=$conn_file<br>";
     $xml = simplexml_load_file($conn_file);

     if( !$xml )
     {
	$err_msg .= "connection.xml is not found";
//echo "ERROR: $err_msg\n";
	return null;
     }

     $vendor = $xml['vendor'];
     $GLOBALS['vendor'] = $vendor;
     $db_name = $xml['db'];
     $xml_model = $xml['model'];
//echo "Model from XML=$xml_model SESSION=$model_name<br>";
     $user_name = $xml['user'];
     $passwd = $xml['password'];
     $host = $xml['host'];
     $port = $xml['port'];

//echo "USER=" . $user_name . " passwd=" . $passwd . " HOST=" . $host . "\n";

     if( $vendor == "mysql" )
     {
	$my_con = mysqli_connect($host, $user_name, $passwd);
	if( !$my_con )
	{
	   $err_msg .= "unable to connect to db " . mysqli_error($my_con);
	   return null;
	}

	$sel = mysqli_select_db($my_con, $db_name);
	if( !$sel )
	{
	   $db_array = Array();
	   getDBs($my_con, $db_array);
           if( count($db_array) )
           {
              $db_name = $db_array[0];
	      $sel = mysqli_select_db($my_con, $db_name);
	      if( !$sel )
	      {
		 $err_msg .= "could not select database $db_name";
		 mysqli_close($my_con);
		 return null;
	      }
              setValue('DBFrame', 'Gui', 'DBName', $db_name);
	      $model_array = Array();
	      getModelsList($my_con, $db_name, $model_array);
              $xml['db'] = $db_name;
              if( count($model_array) )
              {
		 if( !in_array($model_name, $model_array) )
		    $model_name = $model_array[0];
                 setValue('DBFrame', 'Gui', "$db_name", $model_name);
                 $xml['model'] = $model_name;
              }
              // users connection file
              file_put_contents($conn_file, $xml->asXML());
//echo "WRITING CONN FILE=$conn_file\n";
              // user dir connection file
              $conn_file = $user_dir . "/connection.xml";
              if( !file_exists($user_dir) )
	         mkdir($user_dir, 0755, true);
              file_put_contents($conn_file, $xml->asXML());
//echo "WRITING CONN FILE=$conn_file\n";
           }
	}

	if($user_dir == null)
	{
            $user_dir = "TEMP/$app_user/$db_name/$model_name";
            setValue('DBFrame', 'Gui', 'UserDir', $user_dir);
        }
             
        //echo "USER DIR=" . $user_dir . "\n";
        $conn_file = $user_dir . "/connection.xml";
	if( !file_exists($user_dir) )
	   mkdir($user_dir, 0755, true);
	file_put_contents($conn_file, $xml->asXML());

//echo "GET CONN Host=$host user=$user_name db=$db_name model=$model_name<br>";

	return $my_con;
     }
     else
     {
	$err_msg .= "vendor not specified in connection.xml";
	return null;
     }
  }

  function executeQuery(&$qry, &$err_msg, &$mysql_con)
  {
     $vendor = $GLOBALS['vendor'];
     $db_name = getVarValue("DBFrame", "Gui", "DBName");
     if( $vendor == "mysql" )
     {
	$my_result = mysqli_db_query($db_name, $qry, $mysql_con);
	if( !$my_result )
	{
	   $err_msg .= ('Query failed: ' . mysqli_error($mysql_con));
	   return null;
	}

	return $my_result;
     }
  }

  function mysqli_db_query(&$db_name, &$qry, &$mysql_con)
  {
      mysqli_select_db($mysql_con, $db_name);
      return mysqli_query($mysql_con, $qry);
  }

  function console_log( $data )
  {
      echo '<script>';
      echo 'console.log('. json_encode( $data ) .')';
      echo '</script>';
  }
?>
