<?php
include_once('lsdyna/lsd.php');

echo "<!doctype html>
<html lang='en'>
  <head>
    <meta charset='utf-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1, shrink-to-fit=no'>
    <meta name='description' content=''>
    <meta name='author' content=''>
    <link rel='icon' href='favicon.ico'>

    <title>CAE Data Management System</title>

    <!-- Bootstrap core CSS -->
    <link href='css/bootstrap.min.css' rel='stylesheet'>

    <!-- Custom styles for this template -->
    <link href='css/offcanvas.css' rel='stylesheet'>
  </head>

  <body>

    <nav class='navbar navbar-expand-md fixed-top navbar-light sim_header'>
      <a class='navbar-brand' href='#'>Dashboard</a>
      <button class='navbar-toggler' type='button' data-toggle='collapse' data-target='#navbarsExampleDefault' aria-controls='navbarsExampleDefault' aria-expanded='false' aria-label='Toggle navigation'>
        <span class='navbar-toggler-icon'></span>
      </button>

      <div class='collapse navbar-collapse' id='navbarsExampleDefault'>
        <ul class='navbar-nav mr-auto'>
          <li class='nav-item active'>
            <a class='nav-link' href='#'>Home<span class='sr-only'>(current)</span></a>
          </li>
          <li class='nav-item'>
            <a class='nav-link' href='#'>About</a>
          </li>
          <li class='nav-item dropdown'>
            <a class='nav-link dropdown-toggle' href='http://example.com' id='dropdown01' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'>Models</a>
            <div class='dropdown-menu' aria-labelledby='dropdown01'>
              <a class='dropdown-item' href='#'>Keywords</a>
              <a class='dropdown-item' href='#'>Fields</a>
            </div>
          </li>
        </ul>
        <form class='form-inline my-2 my-lg-0'>
          <input class='form-control mr-sm-2' type='text' placeholder='Search' aria-label='Search'>
          <button class='btn btn-outline-success my-2 my-sm-0' type='submit'>Search</button>
        </form>
      </div>
    </nav>

    <main role='main' class='container'>

      <div class='row row-offcanvas row-offcanvas-right' ng-controller='caeMainController'>

        <div class='col-12 col-md-9'>
          <p class='float-right d-md-none'>
            <button type='button' class='btn btn-primary btn-sm' data-toggle='offcanvas'>Toggle nav</button>
          </p>
          <div class='img'>
            <img src='{{data.selectedModel}}'/>
          </div>
        </div><!--/span-->

        <div class='col-6 col-md-3 sidebar-offcanvas' id='sidebar'>
          <div class='list-group' ng-model='data.selectedModel'>";
        include_once( 'getconn.php');
        include_once( 'getdbmodels.php');

        $err_msg = "";
        $mysql_con = getConnection($err_msg)
            or die("Could not connect to mysql database because " . $err_msg);

        $db_name = getVarValue("DBFrame", "Gui", "DBName");
        if($db_name == null)
        {
            $db_name = "test";
            setValue("DBFrame", "Gui", "DBName", $db_name);
        }

        $model_array = array();
        getModelsList($mysql_con, $db_name, $model_array);
        mysqli_close($mysql_con);

        $model_name = getVarValue("DBFrame", "Gui", $db_name);
        if($model_name == null)
        {
            if( count($model_array) )
            {
                $model_name = $model_array[0];
                setValue("DBFrame", "Gui", $db_name, $model_name);
            }
        }

        writeEmptyDataFile($db_name, $model_name);

        foreach($model_array as $model_item)
        {
            if($model_item != $model_name ) 
                echo "<a href='" . $model_item . "' class='list-group-item'>" . $model_item . "</a>";
            else
                echo "<a href='" . $model_item . "' class='list-group-item active'>" . $model_item . "</a>";
        }
            
          echo "</div>
        </div><!--/span-->
      </div><!--/row-->

      <hr>

    </main><!--/.container-->

    <footer>
      <p>&copy; Company  2017</p>
    </footer>


    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src='assets/js/vendor/jquery-slim.min.js' crossorigin='anonymous'></script>
    <script>window.jQuery || document.write(\"<script src='assets/js/vendor/jquery-slim.min.js'><\/script>\")</script>
    <script src='assets/js/vendor/popper.min.js'></script>
    <script src='js/bootstrap.min.js'></script>
    <script src='js/offcanvas.js'></script>
  </body>
</html>";
?>
