function writeMessage(msg)
{
   if( loadMsg == null )
   {
      return;
   }

   loadMsg.value += msg + '\n';
}

function sendRequestToGetJSFiles(exe_or_get)
{
   sTime = new Date();
   if(parent.frames['MSGFrame'])
       loadMsg = parent.frames['MSGFrame'].document.getElementById("loadMessageDiv");
   if(exe_or_get == undefined || exe_or_get == "")
       exe_or_get = 'no';

console.log(exe_or_get);

   //var dataStr = "modelName=" + model_name + "&dbName=test" + "&forceData=" + exe_or_get;
   var dataStr = "";
   var urlStr = "jsdata.php?ForceGetData=" + exe_or_get;
   //if( exe_or_get == 'yes' )
   {
      writeMessage("Getting files from DB...");
      $.ajax({type: "POST", url: urlStr, data: dataStr, 
               success: executionSuccess, error: errorFunc});
   }
   /*else
   {
      noExecution("Downloading files from server...1");
   }*/
}

function sendRequestToGetFiles(model_name, exe_or_get)
{
   sTime = new Date();
   loadMsg = parent.frames['MSGFrame'].document.getElementById("loadMessageDiv");

//alert(loadMsg);

   var modelName = "modelName=" + model_name;
   if( exe_or_get == 'yes' )
   {
      writeMessage("Getting files from DB...");
      $.ajax({type: "POST", url: "cars.php", data: modelName, 
               success: executionSuccess, error: errorFunc});
   }
   else
   {
      noExecution("Downloading files from server...1");
   }
}

function noExecution(msg)
{
   sTime = new Date();
   writeMessage(msg);
   $.ajax({
         type: "POST",
	 url: "/TEMP/part_start.js.gz",
	 dataType: "script",
	 success: startStatus,
	  error: errorFunc 
	  });
   //$.getScript("/TEMP/part_start.js", startStatus);
}

function executionSuccess(data, msg)
{
   eTime = new Date();
   writeMessage("Getting files from DB Success. Time=" + 
                      (eTime-sTime)/1000 + "sec");

console.log(data);

   if(data == undefined || data == "")
       data = "/TEMP";
   else
   {
       data = JSON.parse(data);
       writeMessage("data=" + data.JSDataDir);
       writeMessage("data=" + data.COMMAND);
   }
   sTime = new Date();
   writeMessage("Downloading files from Server...");
   /*$.ajax({
         type: "POST",
	 url: data.JSDataDir + "/part_start.js.gz",
	 dataType: "script",
	 success: startStatus(data.JSDataDir),
	  error: errorFunc 
	  });*/
   $.getScript(data.JSDataDir + "/part_start.js.gz")
     .done(function() {
     startStatus(data.JSDataDir);
   })
     .fail(function() {
       console.log("Data not available");
   });
}

function startStatus(data, msg)
{
console.log("NUM PARTS" + NUM_PARTS);
console.log(msg);
   //$.evalScript(msg);
   writeMessage("Start file loaded.");
writeMessage("NUM PARTS=" + NUM_PARTS);

   for(var i = 0; i < NUM_PARTS; i++)
   {
      file_name = data + "/part_" + i + ".js.gz";
      $.getScript(file_name, loadFileStatus(file_name));
   }

   eTime = new Date();
   writeMessage(NUM_PARTS + " parts loaded successfully. Time=" +
                   (eTime-sTime)/1000 + "sec");
   writeMessage("Updating display. Please wait...");
   sTime = new Date();

   file_name = data + "/part_end.js.gz";
   //$.getScript(file_name, loadFileStatus);
   //drawModel();
   $.ajax({type: "POST", url: file_name, dataType: "script", success: tick, error: errorFunc});
}

function loadFileStatus(msg)
{
   eTime = new Date();
   //writeMessage("Display done. Time=" + (eTime-sTime)/1000 + "sec");
}

/**
function endOfLoadFiles(msg)
{
   $.ajax({type: "POST", url: "TEMP/part_end.js.gz", dataType: "script", success: loadFileStatus("End file"), error: errorFunc});
}
**/

function errorFunc(obj, msg, e)
{
   writeMessage("Error: " + msg + " Exception: " + e);
}

function getMin(xmin, xmax)
{
   if(Math.abs(xmin) < Math.abs(xmax))
   {
      if(xmin < 0)
      {
         if(xmax < 0)
            xmin = xmax;
         else
            xmin = -xmax;
      }
      else
      {
         if(xmax < 0)
            xmin = -xmax;
         else
            xmin = xmax;
      }
   }

   return (1.2 * xmin);  
}

function getMax(xmin, xmax)
{
   if(Math.abs(xmin) > Math.abs(xmax))
   {
      if(xmax < 0)
      {
         if(xmin < 0)
            xmax = xmin;
         else
            xmax = -xmin;
      }
      else
      {
         if(xmin < 0)
            xmax = -xmin;
         else
            xmax = xmin;
      }
   }

   return (1.2 * xmax);
}

function tick()
{
   //animReqId = requestAnimFrame(tick);
   drawModel();

   var light1 = new BABYLON.PointLight("light3", new BABYLON.Vector3(globalLight1x, globalLight1y, globalLight1z), globalScene);
   light1.diffuse = BABYLON.Color3.White();
   light1.direction = new BABYLON.Vector3(1, 0, 0);
   light1.intensity = 0.5;

   var bottomCorner = new BABYLON.Vector3(modelExts[0], modelExts[2], modelExts[4]);
   var topCorner = new BABYLON.Vector3(modelExts[1], modelExts[3], modelExts[5]);
   var modelDia = BABYLON.Vector3.Distance(bottomCorner, topCorner);

   globalCamera.modelDiameter = modelDia;
   //globalScene.activeCamera.panningSensibility = 500;
   //globalScene.activeCamera.panningSensibility = 500;
   globalCamera.bottomCorner = bottomCorner;
   globalCamera.topCorner = topCorner;

   /*var sphere3 = BABYLON.MeshBuilder.CreateSphere("sphere3", {diameter: 100}, globalScene);
   sphere3.position = new BABYLON.Vector3(globalLight1x,globalLight1y,globalLight1z);
   console.log("POS=" + sphere3.position);
   var sphMat=new BABYLON.StandardMaterial("SPH3",globalScene);
   sphMat.diffuseColor=new BABYLON.Color3(0,0,1);
   sphere3.material=sphMat;*/

   var l = (modelExts[1]-modelExts[0]);
   var h = (modelExts[3]-modelExts[2]);
   var d = (modelExts[5]-modelExts[4]);
   var box = new BABYLON.MeshBuilder.CreateBox("modelbox", {width:l, height:h, depth:d}, globalScene);
   var boxMat = new BABYLON.StandardMaterial("modelMat", globalScene);
   boxMat.diffuseColor = new BABYLON.Color3(1,1,1);
   boxMat.alpha = 0.5;
   box.material = boxMat;
   if(modelExts[0] <= 0 && modelExts[1] >= 0)
      box.position.x = (modelExts[1]+modelExts[0])/2;
   else
      box.position.x = modelExts[0] + (modelExts[1]-modelExts[0])/2;
   if(modelExts[2] <= 0 && modelExts[3] >= 0)
      box.position.y = (modelExts[3]+modelExts[2])/2;
   else
      box.position.y = modelExts[2] + (modelExts[3]-modelExts[2])/2;
   box.position.z = (modelExts[5]+modelExts[4])/2;

   box.setEnabled(false);

   /*var sphere4 = BABYLON.MeshBuilder.CreateSphere("sphere4", {diameter: 50}, globalScene);
   sphere4.position = new BABYLON.Vector3(l/2,h/2,d/2);
   console.log("BOX POS=" + box.position.x + " " + box.position.y + " " + box.position.z);
   sphere4.material=sphMat;*/
   //globalCamera.setTarget(new BABYLON.Vector3(l/2,h/2,d/2), true);
   //globalCamera.radius = 5000;

   var xmin = getMin(modelExts[0], modelExts[1]);
   var xmax = getMax(modelExts[0], modelExts[1]);
   var ymin = getMin(modelExts[2], modelExts[3]);
   var ymax = getMax(modelExts[2], modelExts[3]);
   var zmin = getMin(modelExts[4], modelExts[5]);
   var zmax = getMax(modelExts[4], modelExts[5]);

   // var ground1 = new BABYLON.MeshBuilder.CreateTiledGround("ground1",
   //                         {xmin:xmin,zmin:zmin,xmax:xmax,zmax:zmax,subdivisions:{w:10, h:10}},globalScene);
   // var ground2 = new BABYLON.MeshBuilder.CreateTiledGround("ground2",
   //                         {xmin:xmin,zmin:zmin,xmax:xmax,zmax:zmax,subdivisions:{w:10, h:10}},globalScene);
   // var ground3 = new BABYLON.MeshBuilder.CreateTiledGround("ground3",
   //                         {xmin:xmin,zmin:zmin,xmax:xmax,zmax:zmax,subdivisions:{w:10, h:10}},globalScene);
   // var ground2 = new BABYLON.MeshBuilder.CreateTiledGround("ground2",
   //                         {xmin:ymin,zmin:zmin,xmax:ymax,zmax:zmax,subdivisions:{w:10, h:10}},globalScene);
   // var ground3 = new BABYLON.MeshBuilder.CreateTiledGround("ground3",
   //                         {xmin:xmin,zmin:ymin,xmax:xmax,zmax:ymax,subdivisions:{w:10, h:10}},globalScene);

   var ground1 = new BABYLON.MeshBuilder.CreateTiledGround("ground1",
                           {xmin:-modelDia,zmin:-modelDia,xmax:modelDia,zmax:modelDia,subdivisions:{w:10, h:10}},globalScene);
   var ground2 = new BABYLON.MeshBuilder.CreateTiledGround("ground2",
                           {xmin:-modelDia,zmin:-modelDia,xmax:modelDia,zmax:modelDia,subdivisions:{w:10, h:10}},globalScene);
   var ground3 = new BABYLON.MeshBuilder.CreateTiledGround("ground3",
                           {xmin:-modelDia,zmin:-modelDia,xmax:modelDia,zmax:modelDia,subdivisions:{w:10, h:10}},globalScene);
   ground2.rotation.x = Math.PI/2;
   ground3.rotation.z = Math.PI/2;
   ground1.visibility = 0.1;
   ground2.visibility = 0.1;
   ground3.visibility = 0.1;
   ground1.enableEdgesRendering();
   ground2.enableEdgesRendering();
   ground3.enableEdgesRendering();
   ground1.edgesColor = new BABYLON.Color4(1,0,0,1);
   ground2.edgesColor = new BABYLON.Color4(0,1,0,1);
   ground3.edgesColor = new BABYLON.Color4(0,0,1,1);
   var groundMat = new BABYLON.StandardMaterial("GRD",globalScene);
   groundMat.diffuseColor = new BABYLON.Color3(1,1,1);
   groundMat.backFaceCulling=false;
   
   ground1.material = groundMat;
   ground2.material = groundMat;
   ground3.material = groundMat;

   ground1.setEnabled(false);
   ground2.setEnabled(false);
   ground3.setEnabled(false);

   const axis = new BABYLON.Debug.AxesViewer(globalScene, modelDia/20.0);
   var xaxis = new BABYLON.Vector3(modelExts[1], 0.0, 0.0);
   var yaxis = new BABYLON.Vector3(0.0, modelExts[3], 0.0);
   var zaxis = new BABYLON.Vector3(0.0, 0.0, modelExts[5]);
   var pos = new BABYLON.Vector3(0.0, 0.0, 0.0);
   axis.update(pos, xaxis, yaxis, zaxis);

   ChangeView("Isometric");
}

function leftView()
{
   if(modelExts[0] > 0.0 && modelExts[1] > 0.0)
   {
      if(modelExts[4] > 0.0 && modelExts[5] > 0.0)
      {
         globalCoT.rotation.x = -Math.PI/2.0;
         globalCoT.rotation.z = Math.PI;
         globalCoT.position = new BABYLON.Vector3(
               -(modelExts[1] + modelExts[0]), 0.0, -(modelExts[4]+modelExts[5])/2.0);
      }
      else
      {
         globalCoT.rotation.x = -Math.PI/2.0;
         globalCoT.position = new BABYLON.Vector3(0,0,
            -(modelExts[4]+modelExts[5])/2.0);
      }
   }
   else
   {
      if(modelExts[2] > 0.0 && modelExts[3] > 0.0)
      {
         globalCoT.rotation.x = Math.PI/2.0;
         globalCoT.rotation.z = -Math.PI;
         globalCoT.position = new BABYLON.Vector3(
               -(modelExts[1] + modelExts[0]), 0.0, 0.0);
      }
      else if(modelExts[2] < 0.0 && modelExts[3] < 0.0)
      {
         var diff = (modelExts[3]-modelExts[2])/2.0;
         diff -= modelExts[3];
         globalCoT.position.y = -diff;
         globalCoT.rotation.x = -Math.PI/2;
         globalCoT.rotation.z = -Math.PI;
         globalCoT.position.x = -(modelExts[1]+modelExts[0]);
         globalCoT.position.z = (modelExts[4]-modelExts[5])/2.0;
      }
      else
      {
         globalCoT.rotation.x = -Math.PI/2;
         globalCoT.rotation.z = -Math.PI;
         globalCoT.position.x = -(modelExts[1]+modelExts[0]);
         globalCoT.position.z = (modelExts[4]-modelExts[5])/2.0;
      }
   }
}

function ChangeView(viewName)
{
   if(globalScene.meshes.length == 0)
      return;

   globalScene.ViewName = viewName;
   
   globalScene.updateTransformMatrix();
   var transMatrix = globalScene.getTransformMatrix();
   var renderWidth = globalCamera.getEngine().getRenderWidth();
   var renderHeight = globalCamera.getEngine().getRenderHeight();
   var globalPt = globalCamera.viewport.toGlobal(renderWidth, renderHeight);
   var newBottom = BABYLON.Vector3.Project(globalCamera.bottomCorner, BABYLON.Matrix.Identity(), transMatrix, globalPt);
   var newTop = BABYLON.Vector3.Project(globalCamera.topCorner, BABYLON.Matrix.Identity(), transMatrix, globalPt);
   var sx = newTop.x - newBottom.x;
   var sy = newTop.y - newBottom.y;
   var sz = 1.0;
   if(sx < 0.0)
      sx *= -1.0;
   if(sy < 0.0)
      sy *= -1.0;
   if(sx != 0.0)
      sx = renderWidth/sx;
   else
      sx = 1.0;
   if(sy != 0.0)
      sy = renderHeight/sy;
   else
      sy = 1.0;

   globalCamera.parent = null;
   globalCoT = new BABYLON.TransformNode("root");
   globalCamera.parent = globalCoT;
   globalCoT.position = new BABYLON.Vector3(0, 0, 0);
   
   var idMatrix = globalCoT.computeWorldMatrix();
   var viewMatrix = globalCamera.getViewMatrix();
   var projMatrix = globalCamera.getProjectionMatrix();
   var centerOfWindow = new BABYLON.Vector3(renderWidth/2.0, renderHeight/2.0, 0.99);
   var localCenterOfModel = BABYLON.Vector3.Unproject(centerOfWindow, 
               renderWidth, renderHeight, idMatrix, viewMatrix, projMatrix);
   //if(globalCamera.centerOfModel == undefined)
   {
      globalCamera.centerOfModel = new BABYLON.Vector3((modelExts[1]+modelExts[0]/2.0),
            (modelExts[3]+modelExts[2])/2.0, (modelExts[5]+modelExts[4])/2.0);
      console.log("COM=" + globalCamera.centerOfModel);
      console.log("LOCALCOM=" + localCenterOfModel);
   }

   var moveX = localCenterOfModel.x - globalCamera.centerOfModel.x;
   var moveY = localCenterOfModel.y - globalCamera.centerOfModel.y;
   var moveZ = localCenterOfModel.z - globalCamera.centerOfModel.z;
   
   console.log(globalCoT);
   switch(viewName)
   {
      case "Isometric":
         if(sx < sy)
            sy = sz = sx;
         else
            sx = sz = sy;
         globalCamera.setTarget(new BABYLON.Vector3(0, 0, 1), true);
         globalCamera.alpha = -1.5;
         globalCamera.beta = 0.7;
         globalCamera.radius = globalCamera.modelDiameter;
         globalScene.render(true);
         globalCoT.position = new BABYLON.Vector3(0, (modelExts[3]-modelExts[2])/4.0, 0);
         globalCoT.rotation.x = 0;
         globalCoT.rotation.z =  0;
         globalCoT.scaling = new BABYLON.Vector3(sx, sy, sz);
      break;
      case "Top":
         if(sx < sy)
            sy = sz = sx = sx * 0.95;
         else
            sx = sz = sy = sy * 0.95;
         globalCamera.setTarget(new BABYLON.Vector3(0, 0, 1), true);
         globalCamera.alpha = -Math.PI/2;
         globalCamera.beta = Math.PI/2;
         globalCamera.radius = globalCamera.modelDiameter;
         globalCoT.position = new BABYLON.Vector3(0, 0, (modelExts[5]-modelExts[4])/2.0);
         globalCoT.rotation.x = 0;
         globalCoT.rotation.z = 0;
         globalCoT.scaling = new BABYLON.Vector3(sx, sy, sz);
      break;
      case "Bottom":
         if(sx < sy)
            sy = sz = sx = sx * 0.95;
         else
            sx = sz = sy = sy * 0.95;
         globalCamera.setTarget(new BABYLON.Vector3(0, 0, 1), true);
         globalCamera.alpha = -Math.PI/2;
         globalCamera.beta = Math.PI/2;
         globalCamera.radius = globalCamera.modelDiameter;
         globalCoT.position = new BABYLON.Vector3(0, 0, (modelExts[5]-modelExts[4])/2.0);
         globalCoT.rotation.x = Math.PI;
         globalCoT.rotation.z = 0;
         globalCoT.scaling = new BABYLON.Vector3(sx, sy, sz);
         break;
      case "Left":
         if(sx < sy)
            sy = sz = sx = sx * 0.95;
         else
            sx = sz = sy = sy * 0.95;
         globalCamera.setTarget(new BABYLON.Vector3(0, 0, -1), true);
         globalCamera.alpha = Math.PI/2;
         globalCamera.beta = Math.PI/2+Math.PI;
         globalCamera.radius = globalCamera.modelDiameter;
         console.log(modelExts[0] + modelExts[1]);
         var xdiff = modelExts[0]+modelExts[1];
         if((modelExts[0] > 0 && modelExts[1] > 0) || (modelExts[0] < 0 && modelExts[1] < 0))
            xdiff = modelExts[1] - modelExts[0];
         var zdiff = modelExts[5]+modelExts[4];
         if((modelExts[4] > 0 && modelExts[5] > 0) || (modelExts[4] < 0 && modelExts[5] < 0))
            zdiff = modelExts[5] - modelExts[4];
         globalCoT.position = new BABYLON.Vector3(xdiff, 0, zdiff/2.0);
         globalCoT.rotation.x = 0;
         globalCoT.rotation.z = 0;
         globalCoT.scaling = new BABYLON.Vector3(sx, sy, sz);
         break;
      case "Right":
         globalCamera.setTarget(new BABYLON.Vector3(0, 0, -1), true);
         globalCamera.alpha = -Math.PI/2;
         globalCamera.beta = 0;
         globalCamera.radius = globalCamera.modelDiameter;
         globalCoT.position = new BABYLON.Vector3(0, 0, (modelExts[5]-modelExts[4])/2.0);
         globalCoT.rotation.x = 0;
         globalCoT.rotation.z = 0;
         globalCoT.scaling = new BABYLON.Vector3(sx, sy, sz);
         break;
      case "Front":
         if(sx < sy)
            sy = sz = sx = sx * 0.95;
         else
            sx = sz = sy = sy * 0.95;
         
         globalCamera.setTarget(new BABYLON.Vector3(0, 0, -1), true);
         globalCamera.alpha = -Math.PI/2;
         globalCamera.beta = 0;
         globalCamera.radius = globalCamera.modelDiameter;
         globalCoT.rotation.z = Math.PI/2;
         var multiplier = 1.0;
         var diff = 1.0;
         if(modelExts[2] >= 0 && modelExts[3] >=0)
         {
            diff = (modelExts[2]+modelExts[3])/4.0;
            multiplier = -(modelExts[3]-modelExts[2])/2.0;
         }
         else
         {
            multiplier = -(modelExts[4]+modelExts[5]);
            diff = (modelExts[5]-modelExts[4])/2.0;
         }
            
         if(modelExts[4] < 0)
            multiplier *=  -1.0;

         var absXMin = Math.abs(modelExts[0]);
         var absXMax = Math.abs(modelExts[1]);

         if(absXMin > absXMax)
            multiplier = -(modelExts[0]-modelExts[1])/2.0;
            
         console.log("Y MULTI=" + multiplier + " Z DIFF" + diff);

         globalCoT.position = new BABYLON.Vector3(0, multiplier, diff);
         globalCoT.rotation.x = 0;
         globalCoT.scaling = new BABYLON.Vector3(sx, sy, sz);
         break;
      case "Back":
         if(sx < sy)
            sy = sz = sx = sx * 0.95;
         else
            sx = sz = sy = sy * 0.95;
         globalCamera.setTarget(new BABYLON.Vector3(0, 0, -1), true);
         globalCamera.alpha = -Math.PI/2;
         globalCamera.beta = 0;
         globalCamera.radius = globalCamera.modelDiameter;
         globalCoT.rotation.z = -Math.PI/2;
         var diff = 1.0;
         var multiplier = (modelExts[4]+modelExts[5]);
         if(modelExts[2] >= 0 && modelExts[3] >=0)
         {
            diff = (modelExts[2]+modelExts[3])/4.0;
            multiplier = -(modelExts[3]-modelExts[2])/2.0;
         }
         else
         {
            multiplier = (modelExts[4]+modelExts[5]);
            diff = (modelExts[5]-modelExts[4])/2.0;
         }

         if(modelExts[4] < 0)
            multiplier *=  -1.0;

         var absXMin = Math.abs(modelExts[0]);
         var absXMax = Math.abs(modelExts[1]);

         if(absXMin > absXMax)
            multiplier = (modelExts[0]-modelExts[1])/2.0;
         
         console.log("Y MULTI=" + multiplier + " Z DIFF" + diff);

         globalCoT.position = new BABYLON.Vector3(0, multiplier, diff);
         globalCoT.rotation.x = 0;
         globalCoT.scaling = new BABYLON.Vector3(sx, sy, sz);

         break;
   }
}

function createPromise(url) {
   // Create new promise with the Promise() constructor;
   // This has as its argument a function
   // with two parameters, resolve and reject
   return new Promise(function(resolve, reject) {
     // Standard XHR to load an image
     var request = new XMLHttpRequest();
     request.open('GET', url);
     request.responseType = 'text';
     // When the request loads, check whether it was successful
     request.onload = function() {
       if (request.status === 200) {
       // If successful, resolve the promise by passing back the request response
         resolve(request.response);
       } else {
       // If it fails, reject the promise with a error message
         reject(Error('Image didn\'t load successfully; error code:' + request.statusText));
       }
     };
     request.onerror = function() {
     // Also deal with the case when the entire request fails to begin with
     // This is probably a network error, so reject the promise with an appropriate message
         reject(Error('There was a network error.'));
     };
     // Send the request
     request.send();
   });  
}

function sleep(ms) {
   return new Promise(resolve => setTimeout(resolve, ms));
}

async function DownloadResultFiles(modelDir, timeStep)
{
   await sleep(1000).then(function () {
      
    // Call the function with the URL we want to load, but then chain the
    // promise then() method on to the end of it. This contains two callbacks
    var newDir = modelDir + "/jsdata/" + timeStep;
    createPromise(newDir + "/part_start.js.gz").then(function(response) {
    var script = document.createElement("script");
    script.innerHTML = response;
    document.head.appendChild(script);
    var promiseArray = [];
    console.log("NUM PARTS=" + NUM_PARTS + " TIME=" + timeStep);
    for(var i = 0; i < NUM_PARTS; ++i) {
        var p = createPromise(newDir + '/part_' + i + '.js.gz');
        promiseArray.push(p);
    }
  
    Promise.all(promiseArray).then(function (responses) {
      var scriptStr = "";
      for(var j = 0; j < responses.length; ++j) {
         //console.log(responses[j]);
         scriptStr += responses[j];
      }

      if(timeStep == "0") {
         globalStateScriptArray[timeStep] = scriptStr;
         var script = document.createElement("script");
         script.innerHTML = scriptStr;
         document.head.appendChild(script);
         tick();
      }
      else
      {
         globalStateScriptArray[timeStep] = scriptStr;
      }
    });
  
      // The second runs when the promise
      // is rejected, and logs the Error specified with the reject() method.
    }, function(Error) {
      console.log(Error);
    });
   });
}

async function DownloadPlotResultFiles(modelDir, scopeObj)
{
   await sleep(1000).then(function () {
      // Call the function with the URL we want to load, but then chain the
      // promise then() method on to the end of it. This contains two callbacks
      var newDir = modelDir + "/jsdata";
      createPromise(newDir + "/global.js.gz").then(function (response) {
         var script = document.createElement("script");
         script.innerHTML = response;
         document.head.appendChild(script);
         var promiseArray = [];
         var resultsArray = ["KineticEnergy", "InternalEnergy", "HourGlassEnergy", "XVelocity", "YVelocity", "ZVelocity"];
         for (var i = 0; i < resultsArray.length; ++i) {
            var p = createPromise(newDir + "/" + resultsArray[i] + '.js.gz');
            promiseArray.push(p);
         }

         Promise.all(promiseArray).then(function (responses) {
            var scriptStr = "";
            for (var j = 0; j < responses.length; ++j) {
               //console.log(responses[j]);
               scriptStr += responses[j];
            }

            var script = document.createElement("script");
            script.innerHTML = scriptStr;
            document.head.appendChild(script);
            scopeObj.UpdateSelectedPlot();
         });

         // The second runs when the promise
         // is rejected, and logs the Error specified with the reject() method.
      }, function (Error) {
         console.log(Error);
      });
   });
}

function CreateAnimation()
{
   for(var i = 0; i < NUM_PARTS; ++i) {
      var partMesh = globalScene.getMeshByName("PART_0");
      var partAnimation = new BABYLON.Animation("PART_" + i, "position", 30, 
         BABYLON.Animation.ANIMATIONTYPE_VECTOR3, BABYLON.Animation.ANIMATIONLOOPMODE_CYCLE);
      // An array with all animation keys
      var keys = []; 
      var frameValue = 0;
      for(i = 0;i < partMesh.positions.length; ++i) {
         keys.push({
            frame: frameValue,
            value: partMesh.positions[i]
         });

         frameValue += 20;
      }

      partAnimation.setKeys(keys);
      partMesh.animations.push(partAnimation);
   }
}

async function AnimateModel(curFrame)
{
   for(i = 0; i < globalStateScriptArray.length; ++i) {
      await sleep(1000).then(function () {
         globalCurrentFrame = i;
         var funcObj = new Function(globalStateScriptArray['' + (i+1)]);
         funcObj();
      });
   }
}

function FitModel()
{
   if(globalScene.meshes.length == 0)
      return;

      

      var transMatrix = globalScene.getTransformMatrix();
      var renderWidth = globalCamera.getEngine().getRenderWidth();
      var renderHeight = globalCamera.getEngine().getRenderHeight();
      var globalPt = globalCamera.viewport.toGlobal(renderWidth, renderHeight);

   var newBottom = BABYLON.Vector3.Project(globalCamera.bottomCorner, BABYLON.Matrix.Identity(), transMatrix, globalPt);
   var newTop = BABYLON.Vector3.Project(globalCamera.topCorner, BABYLON.Matrix.Identity(), transMatrix, globalPt);
   var sx = newTop.x - newBottom.x;
   var sy = newTop.y - newBottom.y;

   globalCoT.position = new BABYLON.Vector3(sx/2, sy/2, 0);

      return;
   var transMatrix = globalScene.getTransformMatrix();
   var newBottom = BABYLON.Vector3.TransformCoordinates(globalCamera.bottomCorner, transMatrix);
   var newTop = BABYLON.Vector3.TransformCoordinates(globalCamera.topCorner, transMatrix);
   var newCenter = BABYLON.Vector3.TransformCoordinates(globalCamera.centerOfModel, transMatrix);
   var modelDia = BABYLON.Vector3.Distance(newBottom, newTop);
   var radius = globalCamera.modelDiameter;
   var center = BABYLON.Vector3.Zero();
   var minWorld = BABYLON.Vector3.Zero();
   var maxWorld = BABYLON.Vector3.Zero();
   var meshList = [];
   
   for(var i = 0; i < globalScene.meshes.length; ++i)
   {
      if(globalScene.meshes[i].id == "modelbox")
      {
         globalScene.meshes[i].computeWorldMatrix();
         meshList.push(globalScene.meshes[i]);
         break;
      }
      if(!globalScene.meshes[i].isEnabled())
         continue;

      if(!globalScene.meshes[i].id.startsWith("PART_"))
         continue;

      globalScene.meshes[i].computeWorldMatrix();

      if(i != 0)
      {
         console.log(globalScene.meshes[i].id);
         var localcenter = globalScene.meshes[i].getBoundingInfo().boundingBox.centerWorld;
         var localMin = globalScene.meshes[i].getBoundingInfo().boundingBox.minimumWorld;
         var localMax = globalScene.meshes[i].getBoundingInfo().boundingBox.maximumWorld;

         minWorld = BABYLON.Vector3.Minimize(minWorld, localMin);
         maxWorld = BABYLON.Vector3.Maximize(maxWorld, localMax);
         center = BABYLON.Vector3.Maximize(center, localcenter);
      }
      else
      {
         minWorld = globalScene.meshes[0].getBoundingInfo().boundingBox.minimumWorld;
         maxWorld = globalScene.meshes[0].getBoundingInfo().boundingBox.maximumWorld;
         center = globalScene.meshes[0].getBoundingInfo().boundingBox.centerWorld;
      }
      //meshList.push(globalScene.meshes[i]);
   }

   center = new BABYLON.Vector3.Center(minWorld, maxWorld);
   var newMin = BABYLON.Vector3.TransformCoordinates(minWorld, transMatrix);
   var newMax = BABYLON.Vector3.TransformCoordinates(maxWorld, transMatrix);
   var radius = BABYLON.Vector3.Distance(newMax, newMin);

   // var sp1 = BABYLON.MeshBuilder.CreateSphere("sp1", {diameter: 50});
   // sp1.position = center;
   // console.log("CENTER=" + sp1.position);
   // sp1.material = new BABYLON.StandardMaterial("spmat", globalScene);
   // sp1.material.diffuseColor = new BABYLON.Color3(1.0, 0, 0);

   

   center = meshList[0].getBoundingInfo().boundingBox.centerWorld;
   globalCamera.setTarget(center, true, true, true);
   //globalCamera.zoomOn(meshList, true);
   radius = meshList[0].getBoundingInfo().boundingSphere.radiusWorld;

   let aspectRatio = globalScene.getEngine().getAspectRatio(globalScene.activeCamera);
   let halfMinFov = globalScene.activeCamera.fov / 2;
   if (aspectRatio < 1) {
         halfMinFov = Math.atan(aspectRatio * Math.tan(globalScene.activeCamera.fov / 2));
   }

   let viewRadius = Math.abs(radius / Math.sin(halfMinFov));
   if (viewRadius > globalScene.activeCamera.radius) {
      globalScene.activeCamera.radius = viewRadius;
   }

   return;

   console.log("DIA=" + radius + " CENTER=" + center + " NEWCETER=" + newCenter);
 
   var center = BABYLON.Vector3.TransformCoordinates(center, transMatrix);
   console.log("DIA=" + radius + " CENTER=" + center + " NEWCETER=" + newCenter);
   
   return;
   
   //globalCoT.position = new BABYLON.Vector3(0, 0, 0);
   //globalCoT.scaling = new BABYLON.Vector3(0.85, 0.85, 0.85);
   var transMatrix = globalScene.getTransformMatrix();
   const V = BABYLON.Vector3.TransformCoordinates(globalCamera.centerOfModel, transMatrix);
   globalCamera.setTarget(V, true, true, true);
   var sp1 = BABYLON.MeshBuilder.CreateSphere("sp1", {diameter: 50});
   sp1.position = V;
   console.log("CENTER=" + sp1.position);
   sp1.material = new BABYLON.StandardMaterial("spmat", globalScene);
   sp1.material.diffuseColor = new BABYLON.Color3(1.0, 0, 0);
   return;

   var transMatrix = globalScene.getTransformMatrix();
   var renderWidth = globalCamera.getEngine().getRenderWidth();
   var renderHeight = globalCamera.getEngine().getRenderHeight();
   console.log("glb=" + renderWidth + " glb=" + renderHeight);

   var globalPt = globalCamera.viewport.toGlobal(renderWidth, renderHeight);
   var newBottom = BABYLON.Vector3.Project(globalCamera.bottomCorner, BABYLON.Matrix.Identity(), transMatrix, globalPt);
   var newTop = BABYLON.Vector3.Project(globalCamera.topCorner, BABYLON.Matrix.Identity(), transMatrix, globalPt);
   var sx = (newTop.x - newBottom.x)/2.0;
   var sy = (newTop.y - newBottom.y)/2.0;
   console.log("SX=" + sx/2 + " SY=" + sy/2);
   var cw = new BABYLON.Vector3(sx, sy, 0);
   console.log("CW=" + cw.x + " CW=" + cw.y);
   console.log("glb=" + globalPt.x + " glb=" + globalPt.y + " " + globalPt.z);

   sp1 = BABYLON.MeshBuilder.CreateSphere("sp1", {diameter: 50});
   sp1.position = cw;
   sp1.material = new BABYLON.PBRMetallicRoughnessMaterial("spmat", globalScene);
   sp1.material.baseColor = new BABYLON.Color3(1.0, 0, 0);
   sp1.material.metallic = 1.0;
   sp1.material.roughness = 0;
   //sp1.material.diffuseColor = BABYLON.Color3.Red();

   globalCoT.position = new BABYLON.Vector3(globalCamera.centerOfModel);
   globalCoT.scaling = new BABYLON.Vector3(0.85, 0.85, 0.85);
}

function PanModel(deltax, deltay)
{
   let transformMatrix = BABYLON.Matrix.Zero();
   let localDirection = BABYLON.Vector3.Zero();
   let transformedDirection = BABYLON.Vector3.Zero();
   // Get all directions for tranformation before omitting transformed y value
   switch(globalScene.ViewName)
   {
     case "Front":
      {
         //localDirection.x -= deltax;
         localDirection.y += deltay;
         localDirection.z -= deltax;
         globalCamera.panningAxis = new BABYLON.Vector3(0, 1, 1);
      }
      break;
      case "Back":
      {
         //localDirection.x += deltax;
         localDirection.y += deltay;
         localDirection.z += deltax;
         globalCamera.panningAxis = new BABYLON.Vector3(0, 1, -1);
      }
      break;
      case "Bottom":
      {
         localDirection.x -= deltax;
         localDirection.y -= deltay;
         //localDirection.z -= deltax;
         globalCamera.panningAxis = new BABYLON.Vector3(1, -1, 0);
      }
      break;
   }
   
   globalCamera.getViewMatrix().invertToRef(transformMatrix);
   BABYLON.Vector3.TransformNormalToRef(localDirection, transformMatrix, transformedDirection);
   globalCamera.target.addInPlace(transformedDirection);
}

function CreateMaterialsForTimeSteps()
{
   var clrA=[[0.89,0.78,0.92,1.00],[0.79,0.34,0.39,1.00],[0.49,0.65,0.42,1.00],[0.36,0.03,0.69,1.00],
   [0.06,0.76,0.93,1.00],[0.54,0.43,0.17,1.00],[0.74,0.21,0.37,1.00],[0.57,0.43,0.78,1.00],
   [0.53,0.86,0.12,1.00],[0.07,0.14,0.93,1.00],[0.80,0.02,0.06,1.00],[0.07,0.17,0.39,1.00],
   [0.46,0.01,0.04,1.00],[0.23,0.37,0.42,1.00],[0.92,0.78,0.54,1.00],[0.20,0.32,0.31,1.00],
   [0.37,0.41,0.53,1.00],[0.09,0.98,0.96,1.00],[0.87,0.86,0.17,1.00],[1.00,0.28,0.31,1.00],
   [0.93,0.08,0.33,1.00],[0.34,0.50,0.85,1.00],[0.73,0.31,0.86,1.00],[0.12,0.89,0.58,1.00],
   [0.55,0.81,0.37,1.00],[0.43,0.36,0.04,1.00],[0.75,0.09,0.81,1.00],[0.28,0.18,0.79,1.00],
   [0.58,0.40,0.65,1.00],[0.75,0.40,0.93,1.00],[0.06,0.68,0.37,1.00],[0.74,0.01,0.23,1.00],
   [0.59,0.09,0.54,1.00],[0.80,0.57,0.43,1.00],[0.38,0.47,0.60,1.00],[0.10,0.90,0.32,1.00],
   [0.49,0.65,0.76,1.00],[0.30,0.28,0.29,1.00],[0.44,0.87,0.69,1.00],[0.44,0.62,0.44,1.00],
   [0.73,0.03,0.12,1.00],[0.10,0.77,0.48,1.00],[0.68,0.71,0.93,1.00],[0.57,0.86,0.50,1.00],
   [0.35,0.59,0.96,1.00],[0.31,0.68,0.22,1.00],[0.62,0.53,0.87,1.00],[0.73,0.83,0.50,1.00],
   [0.02,0.27,0.37,1.00],[0.71,0.71,0.34,1.00],[0.15,0.80,0.72,1.00],[0.62,0.25,0.85,1.00],
   [0.45,0.92,0.56,1.00],[0.38,0.49,0.76,1.00],[0.23,0.84,0.35,1.00],[0.19,0.50,0.03,1.00],
   [0.76,0.12,0.91,1.00],[0.7,0.5,0.3,1]];
   
   for(var i = 0; i < globalStateScriptArray.length; ++i)
   {
      var partMat=new BABYLON.StandardMaterial("MTIME_" + i, globalScene);
      partMat.backFaceCulling=false;
      partMat.diffuseColor=new BABYLON.Color3(clrA[i][0],clrA[i][1],clrA[i][2]);
   }
}