<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="html" indent="yes"/>
   
   <xsl:template match="/">
      <xsl:apply-templates/>
   </xsl:template>

   <xsl:template match="fields">
      <html>
         <head>
            <title>Help for *<xsl:value-of select="@name"/></title>
            <link rel="StyleSheet" type="text/css" href="/js/lsd.css"/>
         </head>
	    <body>
		    <TABLE align="left" bgcolor="" border="1">
		      <tr>
			<td  class='helpTitle' align="center">Field Name</td>
			<td class='helpTitle' align="center">Description</td>
		      </tr>
	              <xsl:apply-templates select="field"/>
		    </TABLE>
	    </body>
      </html>
   </xsl:template>

   <xsl:template match="field">
       <tr>
       <td class='helpTitle' valign='top'>
       <a name="{@name}"><xsl:value-of select="@name"/></a>
       </td>
       <td class='helpText'>
       <xsl:value-of select="@description"/>
       <xsl:apply-templates select="option"/>
       </td>
       </tr>
   </xsl:template>
   <xsl:template match="option">
       <br></br><xsl:value-of select="@relation"/>.<xsl:value-of select="@value"/>:<xsl:value-of select="@description"/>
   </xsl:template>
</xsl:stylesheet>
