<?php
    header('Cache-Control: no-cache, must-revalidate');
    header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
    header('Pragma: no-cache');

include_once( 'lsdyna/lsd.php');

   $doc_root = $_SERVER["DOCUMENT_ROOT"];
   $user_dir = getVarValue("DBFrame","Gui", "UserDir");
   $which_db_name = "DBName";
   $db_name = getVarValue("DBFrame", "Gui", $which_db_name);
   if($db_name == null)
   {
       $db_name = "test";
       setValue("DBFrame", "Gui", $which_db_name, $db_name);
   }

   $model_name = getVarValue("DBFrame", "Gui", "$db_name");
   $base_dir = getVarValue("DBFrame","Gui", "BaseDir");
   $data_dir = $doc_root . "/$base_dir";

   $env = putenv("LD_LIBRARY_PATH=$doc_root/lib:$doc_root/mesalib");
   $env = putenv("CONNECTION_FILE=" . "$doc_root/$user_dir/connection.xml");

   $cfile = "$doc_root/$user_dir/connection.xml";
   $pid_file = "$doc_root/$user_dir/$model_name" . ".pid";
   $res_array = Array();
   if( !file_exists($pid_file) )
   {
      $exe = $doc_root . "/cgi-bin/gsslsd ";
      $command = "/sbin/start-stop-daemon --start --make-pidfile --pidfile ";
      $command .= $pid_file . " --exec $exe $data_dir $doc_root/$user_dir";
      system($command);
      $res_array["command"] = $command;
   }

   $qry_str = $_SERVER['QUERY_STRING'];
   parse_str($qry_str, $qry_array);
   $keys_array = array_keys($qry_array);
   $name = $keys_array[0];
   $value = $qry_array["$keys_array[0]"];

   $xml = simplexml_load_file($cfile);
   $res_array["connfile"] = $cfile;
   if($xml)
   {
      $xml["$name"] = $value;
      file_put_contents($cfile, $xml->asXML());
      $disp = $xml["display"];
      $view = $xml["view"];
      //$res_array["xmlstr"] = $xml->asXML();
      $img = $user_dir . "/" . $model_name . "_" . $disp . "_" . $view . ".jpeg";
      $start_time = time();
      // while(true)
      // {
      //    $end_time = time();
      //    if(($end_time - $start_time) > 3 || file_exists($img))
      //       break;
      // }
      $res_array["modelImagePath"] = $img;

      echo json_encode($res_array);
   }
?>
