<?php
   header('Cache-Control: no-cache, must-revalidate');
   header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
   header('Pragma: no-cache');

$qry_str = $_SERVER['QUERY_STRING'];
parse_str($qry_str, $qry_array);
$keys_array = array_keys($qry_array);
$results_flag = false;
if(isset($qry_array["ResultsFlag"]))
{
   $results_str = $qry_array["ResultsFlag"];
   if($results_str == "true")
      $results_flag = true;
}



if(isset($_SERVER['PHP_AUTH_USER']))
    $app_user = $_SERVER['PHP_AUTH_USER'];
else
{
    $app_user = "raj";
    $_SERVER['PHP_AUTH_USER'] = $app_user;
}
$app_user = $_SERVER['PHP_AUTH_USER'];
$doc_dir = $_SERVER['DOCUMENT_ROOT'];
$tempDir = __DIR__ . DIRECTORY_SEPARATOR . "TEMP/$app_user/temp";
echo "TMP=$tempDir";
if (!file_exists($tempDir)) {
	mkdir($tempDir, 0755, TRUE);
}

if(!isset($_SESSION["chunkSize"]))
   $_SESSION["chunkSize"] = 0;
$totalSize = 0;
$chunkSize = 0;
$totalChunks = 0;
$chunkDir = "";
$file_name = "";

if ($_SERVER['REQUEST_METHOD'] === 'GET') {
	$chunkDir = $tempDir . DIRECTORY_SEPARATOR . $_GET['flowIdentifier'];
	$chunkFile = $chunkDir.'/chunk.part'.$_GET['flowChunkNumber'];
        $totalChunks = $_GET['flowTotalChunks'];
        $chunkSize = $_GET['flowCurrentChunkSize'];
        $totalSize = $_GET['flowTotalSize'];
        $file_name = $_GET['flowFilename'];
	if (file_exists($chunkFile)) {
		header("HTTP/1.0 200 Ok");
                $_SESSION["chunkSize"] += $chunkSize;
	} else {
		header("HTTP/1.1 204 No Content");
	}
}
else if($_SERVER['REQUEST_METHOD'] === 'POST')
{
	$chunkDir = $tempDir . DIRECTORY_SEPARATOR . $_POST['flowIdentifier'];
        if (!file_exists($chunkDir)) 
	    mkdir($chunkDir, 0755, TRUE);
	$chunkFile = $chunkDir.'/chunk.part'.$_POST['flowChunkNumber'];
	$file_tmp = $_FILES['file']['tmp_name'];
        $retval = move_uploaded_file($file_tmp, $chunkFile);
        $chunkSize = $_POST['flowCurrentChunkSize'];
        $_SESSION["chunkSize"] += $chunkSize;
        $totalSize = $_POST['flowTotalSize'];
        $totalChunks = $_POST['flowTotalChunks'];
        $file_name = $_POST['flowFilename'];
}

echo "TOTAL=" . $totalSize . " SUM=" . $_SESSION["chunkSize"];

// Just imitate that the file was uploaded and stored.
sleep(2);
echo json_encode([
    'success' => true,
    'files' => $_FILES,
    'get' => $_GET,
    'post' => $_POST,
    //optional
    'flowTotalSize' => isset($_FILES['file']) ? $_FILES['file']['size'] : $_GET['flowTotalSize'],
    'flowIdentifier' => isset($_FILES['file']) ? $_FILES['file']['name'] . '-' . $_FILES['file']['size']
        : $_GET['flowIdentifier'],
    'flowFilename' => isset($_FILES['file']) ? $_FILES['file']['name'] : $_GET['flowFilename'],
    'flowRelativePath' => isset($_FILES['file']) ? $_FILES['file']['tmp_name'] : $_GET['flowRelativePath']
]);
    if($file_name != "" && $totalSize == $_SESSION["chunkSize"])
    {
       $_SESSION["chunkSize"] = 0;
include_once( 'lsdyna/lsd.php');
       $db_name = getVarValue("DBFrame", "Gui", "DBName");
       if($db_name == null)
          $db_name = "test";

       if($results_flag === true)
          $db_name = "caedb";
      
       $tempDir = $doc_dir . "/TEMP/$app_user/$db_name/uploads" . "_" . time();
       if (!file_exists($tempDir)) 
          mkdir($tempDir, 0755, TRUE);
       $new_file = $tempDir . "/$file_name";

       for($i = 1; $i <= $totalChunks; $i++)
       {
         $part_name = $chunkDir . '/chunk.part' . $i;
         if($i != 1)
            file_put_contents($new_file, file_get_contents($part_name), FILE_APPEND);
         else
            file_put_contents($new_file, file_get_contents($part_name));
            unlink($part_name);
       }

       $path_parts = pathinfo($file_name);
       $ext = $path_parts["extension"];
       $lower_ext = strtolower($ext);
       $cmd = "";

       $mainFile = $new_file;
       $path_file = "";
       if(isset($qry_array["MainFile"]))
       {
           $mainFile = $tempDir . "/" . $qry_array["MainFile"];
       }
       else
       {
          $path_file = $path_parts["filename"];
       }

       if($lower_ext == "gz")
       {
           $cmd = "cd $tempDir;tar -zxvf $file_name";
       }
       else if($lower_ext == "zip")
       {
	        $cmd = "cd $tempDir;unzip $file_name";
       }

       if($cmd != "")
       {
	         $ret = exec($cmd, $compress_str, $ret_val);
            echo "<div class='container'><hr class='my-4'>UNCOMPRESS RESULT";
	         foreach($compress_str as $line)
	         {
	            echo $line . "<br>";
	         }
            echo "<hr class='my-4'></div>";
            if($path_file != "")
               $mainFile = $tempDir . "/" . $path_file;
       }

       $doc_root = $_SERVER["DOCUMENT_ROOT"];
       $exe_path = $doc_root . "/cgi-bin";
       $env = putenv("LD_LIBRARY_PATH=$doc_root/lib:$doc_root/mesalib");
       $env = putenv("CONNECTION_FILE=" . "$doc_root/connection.xml");

       if($results_flag === true)
       {
         if(isset($qry_array["MainFile"]))
            $model_name = $qry_array["MainFile"];
         setValue('DBFrame', 'Gui', "$db_name", $model_name);
         $user_dir = $doc_dir . "/TEMP/$app_user/$db_name/";
echo "USER DIR=$user_dir";
         if( !file_exists($user_dir) )
            mkdir($user_dir, 0755, true);

         $scan = scandir($tempDir);
         $result_dir = "";
         foreach($scan as $file) {
            if ($file !== "." && $file != ".." && is_dir("$tempDir/$file")) {
               $result_dir = $file;
               break;
            }
         }

         if($result_dir !== "")
            $tempDir .= "/$result_dir";
         $cmd = $exe_path . "/readresults $tempDir $user_dir $model_name";
         echo "COMMAND=" . $cmd . "\n";
       }
       else
       {
         $cmd = $exe_path . "/putintodb $mainFile";
       }

       $ret = exec($cmd, $db_str, $ret_val);
       
       echo "<div class='container'><hr class='my-4'>PUSHING TO DATABASE";
       foreach($db_str as $line)
       {
	        echo $line . '<br>';
       }
       echo "<hr class='my-4'></div>";

echo "NEW FILE=$file_name";
       if($results_flag === false)
       {
           $model_name = file_get_contents($tempDir . "/MODELNAME");
         setValue('DBFrame', 'Gui', "$db_name", $model_name);
         $user_dir = "TEMP/$app_user/$db_name/$model_name";
echo "USER DIR=$user_dir";
         setValue('DBFrame', 'Gui', 'UserDir', $user_dir);
         $user_dir = $doc_root . "/TEMP/$app_user/$db_name/$model_name";
         if( !file_exists($user_dir) )
            mkdir($user_dir, 0755, true);
      
         $conn_file = $doc_root . "/connection.xml";
         $xml = simplexml_load_file($conn_file);

         $xml['model'] = $model_name;
         //writing the xml file to user directory
         $conn_file = $user_dir . "/connection.xml";
         file_put_contents($conn_file, $xml->asXML());

include_once( 'modelexe.php');
         $force_data = TRUE;
         executeModel($force_data);
      }
    }
?>
